<?xml version="1.0"?>
<!--
Licensed to the Apache Software Foundation (ASF) under one
or more contributor license agreements.  See the NOTICE file
distributed with this work for additional information
regarding copyright ownership.  The ASF licenses this file
to you under the Apache License, Version 2.0 (the
"License"); you may not use this file except in compliance
with the License.  You may obtain a copy of the License at

  http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing,
software distributed under the License is distributed on an
"AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
KIND, either express or implied.  See the License for the
specific language governing permissions and limitations
under the License.
-->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
version="1.0">
<xsl:output method="html" doctype-public="-//W3C//DTD HTML 1.0 Transitional//EN"/>
<xsl:template match="/">
<html xmlns="http://www.w3.org/1999/xhtml"><head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<link rel= "stylesheet" href="includes/main.css" type="text/css" />
<link rel="shortcut icon" href="favicon.ico" type="image/x-icon" />

<title>Citrix CloudPlatform (powered by Apache CloudStack)</title>
</head>

<body>
<div id="insidetopbg">
<div id="inside_wrapper">
	<div class="uppermenu_panel">
            <div class="uppermenu_box"></div>
        </div>
        
        <div id="main_master">
            <div id="inside_header">
                <div class="header_top">
                    
                    <div class="mainemenu_panel">
                        
                    </div>
                </div>
                
            
            </div>
            <div id="main_content">
             	
                <div class="inside_apileftpanel">
                	<div class="inside_contentpanel" style="width:930px;">
              		  	<!-- Modify this line for the release version -->
                    	<h1>Citrix CloudPlatform 4.2.1 API Reference</h1>
                        <div class="apiannouncement_box">
                        	<div class="apiannouncement_contentarea">
                                <h3>Using the CloudPlatform API</h3>
                                <p>For information about how the APIs work, and tips on how to use them, see the
                                    Developer's Guide, available at <a href="http://docs.citrix.com/cloudplatform">docs.citrix.com/cloudplatform</a>.</p>
       					 	</div>
       					 </div>
                         
                         <div class="api_leftsections">
                      			<h3>Root Admin API</h3>
                                <span>Commands available through the developer API URL and the integration API URL.</span>
                                <div class="api_legends">
           				<p><span class="api_legends_async">(A)</span> implies that the command is asynchronous.</p>
					<p>(*) implies element has a child.</p>
 				</div>
<div class="apismallsections">
<div class="apismallbullet_box">
<h5>Network</h5>
<ul>
<xsl:for-each select="commands/command">
<xsl:if test="name='listSupportedNetworkServices'">
<li><a href="root_admin/listSupportedNetworkServices.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='listStorageNetworkIpRange'">
<li><a href="root_admin/listStorageNetworkIpRange.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='addNetworkServiceProvider'">
<li><a href="root_admin/addNetworkServiceProvider.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='listNetworkIsolationMethods'">
<li><a href="root_admin/listNetworkIsolationMethods.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='createPhysicalNetwork'">
<li><a href="root_admin/createPhysicalNetwork.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='listNetworkServiceProviders'">
<li><a href="root_admin/listNetworkServiceProviders.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='deleteNetwork'">
<li><a href="root_admin/deleteNetwork.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='deleteNetworkServiceProvider'">
<li><a href="root_admin/deleteNetworkServiceProvider.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='deletePhysicalNetwork'">
<li><a href="root_admin/deletePhysicalNetwork.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='updatePhysicalNetwork'">
<li><a href="root_admin/updatePhysicalNetwork.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='updateStorageNetworkIpRange'">
<li><a href="root_admin/updateStorageNetworkIpRange.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='listNetworks'">
<li><a href="root_admin/listNetworks.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='listNiciraNvpDeviceNetworks'">
<li><a href="root_admin/listNiciraNvpDeviceNetworks.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='updateNetworkServiceProvider'">
<li><a href="root_admin/updateNetworkServiceProvider.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='updateNetwork'">
<li><a href="root_admin/updateNetwork.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='createStorageNetworkIpRange'">
<li><a href="root_admin/createStorageNetworkIpRange.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='dedicatePublicIpRange'">
<li><a href="root_admin/dedicatePublicIpRange.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='listPhysicalNetworks'">
<li><a href="root_admin/listPhysicalNetworks.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='restartNetwork'">
<li><a href="root_admin/restartNetwork.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='createNetwork'">
<li><a href="root_admin/createNetwork.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='deleteStorageNetworkIpRange'">
<li><a href="root_admin/deleteStorageNetworkIpRange.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='releasePublicIpRange'">
<li><a href="root_admin/releasePublicIpRange.html"><xsl:value-of select="name"/></a></li>
</xsl:if>

</xsl:for-each>
</ul>      
</div>


<div class="apismallbullet_box">
<h5>Load Balancer</h5>
<ul>
<xsl:for-each select="commands/command">
<xsl:if test="name='listLBStickinessPolicies'">
<li><a href="root_admin/listLBStickinessPolicies.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='createLoadBalancerRule'">
<li><a href="root_admin/createLoadBalancerRule.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='deleteLoadBalancer'">
<li><a href="root_admin/deleteLoadBalancer.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='updateLoadBalancerRule'">
<li><a href="root_admin/updateLoadBalancerRule.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='assignToLoadBalancerRule'">
<li><a href="root_admin/assignToLoadBalancerRule.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='createGlobalLoadBalancerRule'">
<li><a href="root_admin/createGlobalLoadBalancerRule.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='removeFromLoadBalancerRule'">
<li><a href="root_admin/removeFromLoadBalancerRule.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='createLBStickinessPolicy'">
<li><a href="root_admin/createLBStickinessPolicy.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='deleteLBStickinessPolicy'">
<li><a href="root_admin/deleteLBStickinessPolicy.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='removeFromGlobalLoadBalancerRule'">
<li><a href="root_admin/removeFromGlobalLoadBalancerRule.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='listLBHealthCheckPolicies'">
<li><a href="root_admin/listLBHealthCheckPolicies.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='listGlobalLoadBalancerRules'">
<li><a href="root_admin/listGlobalLoadBalancerRules.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='assignToGlobalLoadBalancerRule'">
<li><a href="root_admin/assignToGlobalLoadBalancerRule.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='listLoadBalancerRules'">
<li><a href="root_admin/listLoadBalancerRules.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='createLBHealthCheckPolicy'">
<li><a href="root_admin/createLBHealthCheckPolicy.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='updateGlobalLoadBalancerRule'">
<li><a href="root_admin/updateGlobalLoadBalancerRule.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='createLoadBalancer'">
<li><a href="root_admin/createLoadBalancer.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='listLoadBalancerRuleInstances'">
<li><a href="root_admin/listLoadBalancerRuleInstances.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='deleteGlobalLoadBalancerRule'">
<li><a href="root_admin/deleteGlobalLoadBalancerRule.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='deleteLBHealthCheckPolicy'">
<li><a href="root_admin/deleteLBHealthCheckPolicy.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='deleteLoadBalancerRule'">
<li><a href="root_admin/deleteLoadBalancerRule.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='listLoadBalancers'">
<li><a href="root_admin/listLoadBalancers.html"><xsl:value-of select="name"/></a></li>
</xsl:if>

</xsl:for-each>
</ul>      
</div>


<div class="apismallbullet_box">
<h5>Virtual Machine</h5>
<ul>
<xsl:for-each select="commands/command">
<xsl:if test="name='cleanVMReservations'">
<li><a href="root_admin/cleanVMReservations.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='resetPasswordForVirtualMachine'">
<li><a href="root_admin/resetPasswordForVirtualMachine.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='deployVirtualMachine'">
<li><a href="root_admin/deployVirtualMachine.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='startVirtualMachine'">
<li><a href="root_admin/startVirtualMachine.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='rebootVirtualMachine'">
<li><a href="root_admin/rebootVirtualMachine.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='updateDefaultNicForVirtualMachine'">
<li><a href="root_admin/updateDefaultNicForVirtualMachine.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='listVirtualMachines'">
<li><a href="root_admin/listVirtualMachines.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='removeNicFromVirtualMachine'">
<li><a href="root_admin/removeNicFromVirtualMachine.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='updateVirtualMachine'">
<li><a href="root_admin/updateVirtualMachine.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='assignVirtualMachine'">
<li><a href="root_admin/assignVirtualMachine.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='migrateVirtualMachine'">
<li><a href="root_admin/migrateVirtualMachine.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='migrateVirtualMachineWithVolume'">
<li><a href="root_admin/migrateVirtualMachineWithVolume.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='recoverVirtualMachine'">
<li><a href="root_admin/recoverVirtualMachine.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='scaleVirtualMachine'">
<li><a href="root_admin/scaleVirtualMachine.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='addNicToVirtualMachine'">
<li><a href="root_admin/addNicToVirtualMachine.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='destroyVirtualMachine'">
<li><a href="root_admin/destroyVirtualMachine.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='restoreVirtualMachine'">
<li><a href="root_admin/restoreVirtualMachine.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='stopVirtualMachine'">
<li><a href="root_admin/stopVirtualMachine.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='changeServiceForVirtualMachine'">
<li><a href="root_admin/changeServiceForVirtualMachine.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='getVMPassword'">
<li><a href="root_admin/getVMPassword.html"><xsl:value-of select="name"/></a></li>
</xsl:if>

</xsl:for-each>
</ul>      
</div>


<div class="apismallbullet_box">
<h5>AutoScale</h5>
<ul>
<xsl:for-each select="commands/command">
<xsl:if test="name='deleteCondition'">
<li><a href="root_admin/deleteCondition.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='deleteAutoScalePolicy'">
<li><a href="root_admin/deleteAutoScalePolicy.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='updateAutoScaleVmGroup'">
<li><a href="root_admin/updateAutoScaleVmGroup.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='createCondition'">
<li><a href="root_admin/createCondition.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='deleteAutoScaleVmProfile'">
<li><a href="root_admin/deleteAutoScaleVmProfile.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='listAutoScaleVmProfiles'">
<li><a href="root_admin/listAutoScaleVmProfiles.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='disableAutoScaleVmGroup'">
<li><a href="root_admin/disableAutoScaleVmGroup.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='updateAutoScalePolicy'">
<li><a href="root_admin/updateAutoScalePolicy.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='deleteCounter'">
<li><a href="root_admin/deleteCounter.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='listConditions'">
<li><a href="root_admin/listConditions.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='createAutoScalePolicy'">
<li><a href="root_admin/createAutoScalePolicy.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='deleteAutoScaleVmGroup'">
<li><a href="root_admin/deleteAutoScaleVmGroup.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='enableAutoScaleVmGroup'">
<li><a href="root_admin/enableAutoScaleVmGroup.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='createAutoScaleVmProfile'">
<li><a href="root_admin/createAutoScaleVmProfile.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='createCounter'">
<li><a href="root_admin/createCounter.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='createAutoScaleVmGroup'">
<li><a href="root_admin/createAutoScaleVmGroup.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='listAutoScalePolicies'">
<li><a href="root_admin/listAutoScalePolicies.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='listCounters'">
<li><a href="root_admin/listCounters.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='listAutoScaleVmGroups'">
<li><a href="root_admin/listAutoScaleVmGroups.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='updateAutoScaleVmProfile'">
<li><a href="root_admin/updateAutoScaleVmProfile.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>

</xsl:for-each>
</ul>      
</div>


</div>
<div class="apismallsections">
<div class="apismallbullet_box">
<h5>VPN</h5>
<ul>
<xsl:for-each select="commands/command">
<xsl:if test="name='deleteVpnConnection'">
<li><a href="root_admin/deleteVpnConnection.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='listVpnConnections'">
<li><a href="root_admin/listVpnConnections.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='createRemoteAccessVpn'">
<li><a href="root_admin/createRemoteAccessVpn.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='resetVpnConnection'">
<li><a href="root_admin/resetVpnConnection.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='createVpnConnection'">
<li><a href="root_admin/createVpnConnection.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='deleteVpnGateway'">
<li><a href="root_admin/deleteVpnGateway.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='updateVpnCustomerGateway'">
<li><a href="root_admin/updateVpnCustomerGateway.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='addVpnUser'">
<li><a href="root_admin/addVpnUser.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='listVpnCustomerGateways'">
<li><a href="root_admin/listVpnCustomerGateways.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='listRemoteAccessVpns'">
<li><a href="root_admin/listRemoteAccessVpns.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='createVpnGateway'">
<li><a href="root_admin/createVpnGateway.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='deleteVpnCustomerGateway'">
<li><a href="root_admin/deleteVpnCustomerGateway.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='deleteRemoteAccessVpn'">
<li><a href="root_admin/deleteRemoteAccessVpn.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='listVpnUsers'">
<li><a href="root_admin/listVpnUsers.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='listVpnGateways'">
<li><a href="root_admin/listVpnGateways.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='removeVpnUser'">
<li><a href="root_admin/removeVpnUser.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='createVpnCustomerGateway'">
<li><a href="root_admin/createVpnCustomerGateway.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>

</xsl:for-each>
</ul>      
</div>


<div class="apismallbullet_box">
<h5>VPC</h5>
<ul>
<xsl:for-each select="commands/command">
<xsl:if test="name='restartVPC'">
<li><a href="root_admin/restartVPC.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='updateVPC'">
<li><a href="root_admin/updateVPC.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='listStaticRoutes'">
<li><a href="root_admin/listStaticRoutes.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='createStaticRoute'">
<li><a href="root_admin/createStaticRoute.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='deleteVPCOffering'">
<li><a href="root_admin/deleteVPCOffering.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='listPrivateGateways'">
<li><a href="root_admin/listPrivateGateways.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='listVPCs'">
<li><a href="root_admin/listVPCs.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='updateVPCOffering'">
<li><a href="root_admin/updateVPCOffering.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='createVPC'">
<li><a href="root_admin/createVPC.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='createPrivateGateway'">
<li><a href="root_admin/createPrivateGateway.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='deleteVPC'">
<li><a href="root_admin/deleteVPC.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='deleteStaticRoute'">
<li><a href="root_admin/deleteStaticRoute.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='createVPCOffering'">
<li><a href="root_admin/createVPCOffering.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='deletePrivateGateway'">
<li><a href="root_admin/deletePrivateGateway.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='listVPCOfferings'">
<li><a href="root_admin/listVPCOfferings.html"><xsl:value-of select="name"/></a></li>
</xsl:if>

</xsl:for-each>
</ul>      
</div>


<div class="apismallbullet_box">
<h5>Host</h5>
<ul>
<xsl:for-each select="commands/command">
<xsl:if test="name='prepareHostForMaintenance'">
<li><a href="root_admin/prepareHostForMaintenance.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='releaseHostReservation'">
<li><a href="root_admin/releaseHostReservation.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='releaseDedicatedHost'">
<li><a href="root_admin/releaseDedicatedHost.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='addSecondaryStorage'">
<li><a href="root_admin/addSecondaryStorage.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='reconnectHost'">
<li><a href="root_admin/reconnectHost.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='updateHostPassword'">
<li><a href="root_admin/updateHostPassword.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='deleteHost'">
<li><a href="root_admin/deleteHost.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='updateHost'">
<li><a href="root_admin/updateHost.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='listDedicatedHosts'">
<li><a href="root_admin/listDedicatedHosts.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='listHosts'">
<li><a href="root_admin/listHosts.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='dedicateHost'">
<li><a href="root_admin/dedicateHost.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='cancelHostMaintenance'">
<li><a href="root_admin/cancelHostMaintenance.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='findHostsForMigration'">
<li><a href="root_admin/findHostsForMigration.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='addBaremetalHost'">
<li><a href="root_admin/addBaremetalHost.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='addHost'">
<li><a href="root_admin/addHost.html"><xsl:value-of select="name"/></a></li>
</xsl:if>

</xsl:for-each>
</ul>      
</div>


<div class="apismallbullet_box">
<h5>Template</h5>
<ul>
<xsl:for-each select="commands/command">
<xsl:if test="name='updateTemplatePermissions'">
<li><a href="root_admin/updateTemplatePermissions.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='updateTemplate'">
<li><a href="root_admin/updateTemplate.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='extractTemplate'">
<li><a href="root_admin/extractTemplate.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='deleteTemplate'">
<li><a href="root_admin/deleteTemplate.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='copyTemplate'">
<li><a href="root_admin/copyTemplate.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='createTemplate'">
<li><a href="root_admin/createTemplate.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='listUcsTemplates'">
<li><a href="root_admin/listUcsTemplates.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='listTemplatePermissions'">
<li><a href="root_admin/listTemplatePermissions.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='prepareTemplate'">
<li><a href="root_admin/prepareTemplate.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='listTemplates'">
<li><a href="root_admin/listTemplates.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='instantiateUcsTemplateAndAssocaciateToBlade'">
<li><a href="root_admin/instantiateUcsTemplateAndAssocaciateToBlade.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='registerTemplate'">
<li><a href="root_admin/registerTemplate.html"><xsl:value-of select="name"/></a></li>
</xsl:if>

</xsl:for-each>
</ul>      
</div>


</div>
<div class="apismallsections">
<div class="apismallbullet_box">
<h5>Usage</h5>
<ul>
<xsl:for-each select="commands/command">
<xsl:if test="name='listTrafficTypeImplementors'">
<li><a href="root_admin/listTrafficTypeImplementors.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='deleteTrafficMonitor'">
<li><a href="root_admin/deleteTrafficMonitor.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='listTrafficMonitors'">
<li><a href="root_admin/listTrafficMonitors.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='listUsageRecords'">
<li><a href="root_admin/listUsageRecords.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='listUsageTypes'">
<li><a href="root_admin/listUsageTypes.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='addTrafficType'">
<li><a href="root_admin/addTrafficType.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='generateUsageRecords'">
<li><a href="root_admin/generateUsageRecords.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='deleteTrafficType'">
<li><a href="root_admin/deleteTrafficType.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='updateTrafficType'">
<li><a href="root_admin/updateTrafficType.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='addTrafficMonitor'">
<li><a href="root_admin/addTrafficMonitor.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='listTrafficTypes'">
<li><a href="root_admin/listTrafficTypes.html"><xsl:value-of select="name"/></a></li>
</xsl:if>

</xsl:for-each>
</ul>      
</div>


<div class="apismallbullet_box">
<h5>Account</h5>
<ul>
<xsl:for-each select="commands/command">
<xsl:if test="name='updateAccount'">
<li><a href="root_admin/updateAccount.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='createAccount'">
<li><a href="root_admin/createAccount.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='deleteAccountFromProject'">
<li><a href="root_admin/deleteAccountFromProject.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='enableAccount'">
<li><a href="root_admin/enableAccount.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='listAccounts'">
<li><a href="root_admin/listAccounts.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='markDefaultZoneForAccount'">
<li><a href="root_admin/markDefaultZoneForAccount.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='disableAccount'">
<li><a href="root_admin/disableAccount.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='addAccountToProject'">
<li><a href="root_admin/addAccountToProject.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='deleteAccount'">
<li><a href="root_admin/deleteAccount.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='listProjectAccounts'">
<li><a href="root_admin/listProjectAccounts.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='lockAccount'">
<li><a href="root_admin/lockAccount.html"><xsl:value-of select="name"/></a></li>
</xsl:if>

</xsl:for-each>
</ul>      
</div>


<div class="apismallbullet_box">
<h5>Volume</h5>
<ul>
<xsl:for-each select="commands/command">
<xsl:if test="name='resizeVolume'">
<li><a href="root_admin/resizeVolume.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='createVolume'">
<li><a href="root_admin/createVolume.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='listVolumes'">
<li><a href="root_admin/listVolumes.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='uploadVolume'">
<li><a href="root_admin/uploadVolume.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='updateVolume'">
<li><a href="root_admin/updateVolume.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='deleteVolume'">
<li><a href="root_admin/deleteVolume.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='detachVolume'">
<li><a href="root_admin/detachVolume.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='extractVolume'">
<li><a href="root_admin/extractVolume.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='attachVolume'">
<li><a href="root_admin/attachVolume.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='migrateVolume'">
<li><a href="root_admin/migrateVolume.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>

</xsl:for-each>
</ul>      
</div>


<div class="apismallbullet_box">
<h5>Snapshot</h5>
<ul>
<xsl:for-each select="commands/command">
<xsl:if test="name='revertToVMSnapshot'">
<li><a href="root_admin/revertToVMSnapshot.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='createSnapshotPolicy'">
<li><a href="root_admin/createSnapshotPolicy.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='createSnapshot'">
<li><a href="root_admin/createSnapshot.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='deleteSnapshot'">
<li><a href="root_admin/deleteSnapshot.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='listSnapshotPolicies'">
<li><a href="root_admin/listSnapshotPolicies.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='deleteSnapshotPolicies'">
<li><a href="root_admin/deleteSnapshotPolicies.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='deleteVMSnapshot'">
<li><a href="root_admin/deleteVMSnapshot.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='createVMSnapshot'">
<li><a href="root_admin/createVMSnapshot.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='listVMSnapshot'">
<li><a href="root_admin/listVMSnapshot.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='listSnapshots'">
<li><a href="root_admin/listSnapshots.html"><xsl:value-of select="name"/></a></li>
</xsl:if>

</xsl:for-each>
</ul>      
</div>


</div>
<div class="apismallsections">
<div class="apismallbullet_box">
<h5>ISO</h5>
<ul>
<xsl:for-each select="commands/command">
<xsl:if test="name='deleteIso'">
<li><a href="root_admin/deleteIso.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='listIsoPermissions'">
<li><a href="root_admin/listIsoPermissions.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='updateIso'">
<li><a href="root_admin/updateIso.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='registerIso'">
<li><a href="root_admin/registerIso.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='extractIso'">
<li><a href="root_admin/extractIso.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='detachIso'">
<li><a href="root_admin/detachIso.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='copyIso'">
<li><a href="root_admin/copyIso.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='attachIso'">
<li><a href="root_admin/attachIso.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='listIsos'">
<li><a href="root_admin/listIsos.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='updateIsoPermissions'">
<li><a href="root_admin/updateIsoPermissions.html"><xsl:value-of select="name"/></a></li>
</xsl:if>

</xsl:for-each>
</ul>      
</div>


<div class="apismallbullet_box">
<h5>Firewall</h5>
<ul>
<xsl:for-each select="commands/command">
<xsl:if test="name='createEgressFirewallRule'">
<li><a href="root_admin/createEgressFirewallRule.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='listEgressFirewallRules'">
<li><a href="root_admin/listEgressFirewallRules.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='listFirewallRules'">
<li><a href="root_admin/listFirewallRules.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='listPortForwardingRules'">
<li><a href="root_admin/listPortForwardingRules.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='createFirewallRule'">
<li><a href="root_admin/createFirewallRule.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='deleteEgressFirewallRule'">
<li><a href="root_admin/deleteEgressFirewallRule.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='deletePortForwardingRule'">
<li><a href="root_admin/deletePortForwardingRule.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='deleteFirewallRule'">
<li><a href="root_admin/deleteFirewallRule.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='updatePortForwardingRule'">
<li><a href="root_admin/updatePortForwardingRule.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='createPortForwardingRule'">
<li><a href="root_admin/createPortForwardingRule.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>

</xsl:for-each>
</ul>      
</div>


<div class="apismallbullet_box">
<h5>User</h5>
<ul>
<xsl:for-each select="commands/command">
<xsl:if test="name='enableUser'">
<li><a href="root_admin/enableUser.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='registerUserKeys'">
<li><a href="root_admin/registerUserKeys.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='lockUser'">
<li><a href="root_admin/lockUser.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='getUser'">
<li><a href="root_admin/getUser.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='updateUser'">
<li><a href="root_admin/updateUser.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='deleteUser'">
<li><a href="root_admin/deleteUser.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='createUser'">
<li><a href="root_admin/createUser.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='disableUser'">
<li><a href="root_admin/disableUser.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='listUsers'">
<li><a href="root_admin/listUsers.html"><xsl:value-of select="name"/></a></li>
</xsl:if>

</xsl:for-each>
</ul>      
</div>


<div class="apismallbullet_box">
<h5>Router</h5>
<ul>
<xsl:for-each select="commands/command">
<xsl:if test="name='createVirtualRouterElement'">
<li><a href="root_admin/createVirtualRouterElement.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='listVirtualRouterElements'">
<li><a href="root_admin/listVirtualRouterElements.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='changeServiceForRouter'">
<li><a href="root_admin/changeServiceForRouter.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='rebootRouter'">
<li><a href="root_admin/rebootRouter.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='stopRouter'">
<li><a href="root_admin/stopRouter.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='destroyRouter'">
<li><a href="root_admin/destroyRouter.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='listRouters'">
<li><a href="root_admin/listRouters.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='configureVirtualRouterElement'">
<li><a href="root_admin/configureVirtualRouterElement.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='startRouter'">
<li><a href="root_admin/startRouter.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>

</xsl:for-each>
</ul>      
</div>


</div>
<div class="apismallsections">
<div class="apismallbullet_box">
<h5>Project</h5>
<ul>
<xsl:for-each select="commands/command">
<xsl:if test="name='listProjects'">
<li><a href="root_admin/listProjects.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='createProject'">
<li><a href="root_admin/createProject.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='updateProjectInvitation'">
<li><a href="root_admin/updateProjectInvitation.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='deleteProject'">
<li><a href="root_admin/deleteProject.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='deleteProjectInvitation'">
<li><a href="root_admin/deleteProjectInvitation.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='suspendProject'">
<li><a href="root_admin/suspendProject.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='listProjectInvitations'">
<li><a href="root_admin/listProjectInvitations.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='updateProject'">
<li><a href="root_admin/updateProject.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='activateProject'">
<li><a href="root_admin/activateProject.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>

</xsl:for-each>
</ul>      
</div>


<div class="apismallbullet_box">
<h5>UCS</h5>
<ul>
<xsl:for-each select="commands/command">
<xsl:if test="name='disassociateUcsProfileFromBlade'">
<li><a href="root_admin/disassociateUcsProfileFromBlade.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='associateUcsProfileToBlade'">
<li><a href="root_admin/associateUcsProfileToBlade.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='deleteUcsManager'">
<li><a href="root_admin/deleteUcsManager.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='listUcsManagers'">
<li><a href="root_admin/listUcsManagers.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='listUcsProfiles'">
<li><a href="root_admin/listUcsProfiles.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='refreshUcsBlades'">
<li><a href="root_admin/refreshUcsBlades.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='addUcsManager'">
<li><a href="root_admin/addUcsManager.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='listUcsBlades'">
<li><a href="root_admin/listUcsBlades.html"><xsl:value-of select="name"/></a></li>
</xsl:if>

</xsl:for-each>
</ul>      
</div>


<div class="apismallbullet_box">
<h5>System VM</h5>
<ul>
<xsl:for-each select="commands/command">
<xsl:if test="name='changeServiceForSystemVm'">
<li><a href="root_admin/changeServiceForSystemVm.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='scaleSystemVm'">
<li><a href="root_admin/scaleSystemVm.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='destroySystemVm'">
<li><a href="root_admin/destroySystemVm.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='startSystemVm'">
<li><a href="root_admin/startSystemVm.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='migrateSystemVm'">
<li><a href="root_admin/migrateSystemVm.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='stopSystemVm'">
<li><a href="root_admin/stopSystemVm.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='rebootSystemVm'">
<li><a href="root_admin/rebootSystemVm.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='listSystemVms'">
<li><a href="root_admin/listSystemVms.html"><xsl:value-of select="name"/></a></li>
</xsl:if>

</xsl:for-each>
</ul>      
</div>


<div class="apismallbullet_box">
<h5>Storage Pool</h5>
<ul>
<xsl:for-each select="commands/command">
<xsl:if test="name='createStoragePool'">
<li><a href="root_admin/createStoragePool.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='updateStoragePool'">
<li><a href="root_admin/updateStoragePool.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='enableStorageMaintenance'">
<li><a href="root_admin/enableStorageMaintenance.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='cancelStorageMaintenance'">
<li><a href="root_admin/cancelStorageMaintenance.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='listStorageProviders'">
<li><a href="root_admin/listStorageProviders.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='listStoragePools'">
<li><a href="root_admin/listStoragePools.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='deleteStoragePool'">
<li><a href="root_admin/deleteStoragePool.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='findStoragePoolsForMigration'">
<li><a href="root_admin/findStoragePoolsForMigration.html"><xsl:value-of select="name"/></a></li>
</xsl:if>

</xsl:for-each>
</ul>      
</div>


</div>
<div class="apismallsections">
<div class="apismallbullet_box">
<h5>Network ACL</h5>
<ul>
<xsl:for-each select="commands/command">
<xsl:if test="name='replaceNetworkACLList'">
<li><a href="root_admin/replaceNetworkACLList.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='deleteNetworkACLList'">
<li><a href="root_admin/deleteNetworkACLList.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='createNetworkACLList'">
<li><a href="root_admin/createNetworkACLList.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='createNetworkACL'">
<li><a href="root_admin/createNetworkACL.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='listNetworkACLs'">
<li><a href="root_admin/listNetworkACLs.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='deleteNetworkACL'">
<li><a href="root_admin/deleteNetworkACL.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='updateNetworkACLItem'">
<li><a href="root_admin/updateNetworkACLItem.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='listNetworkACLLists'">
<li><a href="root_admin/listNetworkACLLists.html"><xsl:value-of select="name"/></a></li>
</xsl:if>

</xsl:for-each>
</ul>      
</div>


<div class="apismallbullet_box">
<h5>Zone</h5>
<ul>
<xsl:for-each select="commands/command">
<xsl:if test="name='listZones'">
<li><a href="root_admin/listZones.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='listDedicatedZones'">
<li><a href="root_admin/listDedicatedZones.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='deleteZone'">
<li><a href="root_admin/deleteZone.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='dedicateZone'">
<li><a href="root_admin/dedicateZone.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='createZone'">
<li><a href="root_admin/createZone.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='releaseDedicatedZone'">
<li><a href="root_admin/releaseDedicatedZone.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='updateZone'">
<li><a href="root_admin/updateZone.html"><xsl:value-of select="name"/></a></li>
</xsl:if>

</xsl:for-each>
</ul>      
</div>


<div class="apismallbullet_box">
<h5>Security Group</h5>
<ul>
<xsl:for-each select="commands/command">
<xsl:if test="name='createSecurityGroup'">
<li><a href="root_admin/createSecurityGroup.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='revokeSecurityGroupIngress'">
<li><a href="root_admin/revokeSecurityGroupIngress.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='authorizeSecurityGroupEgress'">
<li><a href="root_admin/authorizeSecurityGroupEgress.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='authorizeSecurityGroupIngress'">
<li><a href="root_admin/authorizeSecurityGroupIngress.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='revokeSecurityGroupEgress'">
<li><a href="root_admin/revokeSecurityGroupEgress.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='deleteSecurityGroup'">
<li><a href="root_admin/deleteSecurityGroup.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='listSecurityGroups'">
<li><a href="root_admin/listSecurityGroups.html"><xsl:value-of select="name"/></a></li>
</xsl:if>

</xsl:for-each>
</ul>      
</div>


<div class="apismallbullet_box">
<h5>Pod</h5>
<ul>
<xsl:for-each select="commands/command">
<xsl:if test="name='releaseDedicatedPod'">
<li><a href="root_admin/releaseDedicatedPod.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='deletePod'">
<li><a href="root_admin/deletePod.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='dedicatePod'">
<li><a href="root_admin/dedicatePod.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='updatePod'">
<li><a href="root_admin/updatePod.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='listDedicatedPods'">
<li><a href="root_admin/listDedicatedPods.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='listPods'">
<li><a href="root_admin/listPods.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='createPod'">
<li><a href="root_admin/createPod.html"><xsl:value-of select="name"/></a></li>
</xsl:if>

</xsl:for-each>
</ul>      
</div>


</div>
<div class="apismallsections">
<div class="apismallbullet_box">
<h5>Cluster</h5>
<ul>
<xsl:for-each select="commands/command">
<xsl:if test="name='listDedicatedClusters'">
<li><a href="root_admin/listDedicatedClusters.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='deleteCluster'">
<li><a href="root_admin/deleteCluster.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='listClusters'">
<li><a href="root_admin/listClusters.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='updateCluster'">
<li><a href="root_admin/updateCluster.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='addCluster'">
<li><a href="root_admin/addCluster.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='dedicateCluster'">
<li><a href="root_admin/dedicateCluster.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='releaseDedicatedCluster'">
<li><a href="root_admin/releaseDedicatedCluster.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>

</xsl:for-each>
</ul>      
</div>


<div class="apismallbullet_box">
<h5>VLAN</h5>
<ul>
<xsl:for-each select="commands/command">
<xsl:if test="name='listVlanIpRanges'">
<li><a href="root_admin/listVlanIpRanges.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='listDedicatedGuestVlanRanges'">
<li><a href="root_admin/listDedicatedGuestVlanRanges.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='releaseDedicatedGuestVlanRange'">
<li><a href="root_admin/releaseDedicatedGuestVlanRange.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='createVlanIpRange'">
<li><a href="root_admin/createVlanIpRange.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='dedicateGuestVlanRange'">
<li><a href="root_admin/dedicateGuestVlanRange.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='deleteVlanIpRange'">
<li><a href="root_admin/deleteVlanIpRange.html"><xsl:value-of select="name"/></a></li>
</xsl:if>

</xsl:for-each>
</ul>      
</div>


<div class="apismallbullet_box">
<h5>Internal LB</h5>
<ul>
<xsl:for-each select="commands/command">
<xsl:if test="name='createInternalLoadBalancerElement'">
<li><a href="root_admin/createInternalLoadBalancerElement.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='listInternalLoadBalancerVMs'">
<li><a href="root_admin/listInternalLoadBalancerVMs.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='stopInternalLoadBalancerVM'">
<li><a href="root_admin/stopInternalLoadBalancerVM.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='startInternalLoadBalancerVM'">
<li><a href="root_admin/startInternalLoadBalancerVM.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='configureInternalLoadBalancerElement'">
<li><a href="root_admin/configureInternalLoadBalancerElement.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='listInternalLoadBalancerElements'">
<li><a href="root_admin/listInternalLoadBalancerElements.html"><xsl:value-of select="name"/></a></li>
</xsl:if>

</xsl:for-each>
</ul>      
</div>


<div class="apismallbullet_box">
<h5>Image Store</h5>
<ul>
<xsl:for-each select="commands/command">
<xsl:if test="name='addImageStore'">
<li><a href="root_admin/addImageStore.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='listImageStores'">
<li><a href="root_admin/listImageStores.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='deleteImageStore'">
<li><a href="root_admin/deleteImageStore.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='listSecondaryStagingStores'">
<li><a href="root_admin/listSecondaryStagingStores.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='createSecondaryStagingStore'">
<li><a href="root_admin/createSecondaryStagingStore.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='deleteSecondaryStagingStore'">
<li><a href="root_admin/deleteSecondaryStagingStore.html"><xsl:value-of select="name"/></a></li>
</xsl:if>

</xsl:for-each>
</ul>      
</div>


</div>
<div class="apismallsections">
<div class="apismallbullet_box">
<h5>SSH</h5>
<ul>
<xsl:for-each select="commands/command">
<xsl:if test="name='registerSSHKeyPair'">
<li><a href="root_admin/registerSSHKeyPair.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='createSSHKeyPair'">
<li><a href="root_admin/createSSHKeyPair.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='deleteSSHKeyPair'">
<li><a href="root_admin/deleteSSHKeyPair.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='listSSHKeyPairs'">
<li><a href="root_admin/listSSHKeyPairs.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='resetSSHKeyForVirtualMachine'">
<li><a href="root_admin/resetSSHKeyForVirtualMachine.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>

</xsl:for-each>
</ul>      
</div>


<div class="apismallbullet_box">
<h5>NAT</h5>
<ul>
<xsl:for-each select="commands/command">
<xsl:if test="name='createIpForwardingRule'">
<li><a href="root_admin/createIpForwardingRule.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='disableStaticNat'">
<li><a href="root_admin/disableStaticNat.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='deleteIpForwardingRule'">
<li><a href="root_admin/deleteIpForwardingRule.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='enableStaticNat'">
<li><a href="root_admin/enableStaticNat.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='listIpForwardingRules'">
<li><a href="root_admin/listIpForwardingRules.html"><xsl:value-of select="name"/></a></li>
</xsl:if>

</xsl:for-each>
</ul>      
</div>


<div class="apismallbullet_box">
<h5>Limit</h5>
<ul>
<xsl:for-each select="commands/command">
<xsl:if test="name='updateResourceLimit'">
<li><a href="root_admin/updateResourceLimit.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='resetApiLimit'">
<li><a href="root_admin/resetApiLimit.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='updateResourceCount'">
<li><a href="root_admin/updateResourceCount.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='getApiLimit'">
<li><a href="root_admin/getApiLimit.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='listResourceLimits'">
<li><a href="root_admin/listResourceLimits.html"><xsl:value-of select="name"/></a></li>
</xsl:if>

</xsl:for-each>
</ul>      
</div>


<div class="apismallbullet_box">
<h5>Domain</h5>
<ul>
<xsl:for-each select="commands/command">
<xsl:if test="name='updateDomain'">
<li><a href="root_admin/updateDomain.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='createDomain'">
<li><a href="root_admin/createDomain.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='listDomains'">
<li><a href="root_admin/listDomains.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='deleteDomain'">
<li><a href="root_admin/deleteDomain.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='listDomainChildren'">
<li><a href="root_admin/listDomainChildren.html"><xsl:value-of select="name"/></a></li>
</xsl:if>

</xsl:for-each>
</ul>      
</div>


</div>
<div class="apismallsections">
<div class="apismallbullet_box">
<h5>Baremetal</h5>
<ul>
<xsl:for-each select="commands/command">
<xsl:if test="name='addBaremetalPxeKickStartServer'">
<li><a href="root_admin/addBaremetalPxeKickStartServer.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='addBaremetalPxePingServer'">
<li><a href="root_admin/addBaremetalPxePingServer.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='listBaremetalDhcp'">
<li><a href="root_admin/listBaremetalDhcp.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='addBaremetalDhcp'">
<li><a href="root_admin/addBaremetalDhcp.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='listBaremetalPxeServers'">
<li><a href="root_admin/listBaremetalPxeServers.html"><xsl:value-of select="name"/></a></li>
</xsl:if>

</xsl:for-each>
</ul>      
</div>


<div class="apismallbullet_box">
<h5>Affinity Group</h5>
<ul>
<xsl:for-each select="commands/command">
<xsl:if test="name='deleteAffinityGroup'">
<li><a href="root_admin/deleteAffinityGroup.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='createAffinityGroup'">
<li><a href="root_admin/createAffinityGroup.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='listAffinityGroups'">
<li><a href="root_admin/listAffinityGroups.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='listAffinityGroupTypes'">
<li><a href="root_admin/listAffinityGroupTypes.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='updateVMAffinityGroup'">
<li><a href="root_admin/updateVMAffinityGroup.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>

</xsl:for-each>
</ul>      
</div>


<div class="apismallbullet_box">
<h5>VM Group</h5>
<ul>
<xsl:for-each select="commands/command">
<xsl:if test="name='updateInstanceGroup'">
<li><a href="root_admin/updateInstanceGroup.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='createInstanceGroup'">
<li><a href="root_admin/createInstanceGroup.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='deleteInstanceGroup'">
<li><a href="root_admin/deleteInstanceGroup.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='listInstanceGroups'">
<li><a href="root_admin/listInstanceGroups.html"><xsl:value-of select="name"/></a></li>
</xsl:if>

</xsl:for-each>
</ul>      
</div>


<div class="apismallbullet_box">
<h5>Service Offering</h5>
<ul>
<xsl:for-each select="commands/command">
<xsl:if test="name='createServiceOffering'">
<li><a href="root_admin/createServiceOffering.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='deleteServiceOffering'">
<li><a href="root_admin/deleteServiceOffering.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='updateServiceOffering'">
<li><a href="root_admin/updateServiceOffering.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='listServiceOfferings'">
<li><a href="root_admin/listServiceOfferings.html"><xsl:value-of select="name"/></a></li>
</xsl:if>

</xsl:for-each>
</ul>      
</div>


</div>
<div class="apismallsections">
<div class="apismallbullet_box">
<h5>Region</h5>
<ul>
<xsl:for-each select="commands/command">
<xsl:if test="name='listRegions'">
<li><a href="root_admin/listRegions.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='addRegion'">
<li><a href="root_admin/addRegion.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='removeRegion'">
<li><a href="root_admin/removeRegion.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='updateRegion'">
<li><a href="root_admin/updateRegion.html"><xsl:value-of select="name"/></a></li>
</xsl:if>

</xsl:for-each>
</ul>      
</div>


<div class="apismallbullet_box">
<h5>Network Offering</h5>
<ul>
<xsl:for-each select="commands/command">
<xsl:if test="name='updateNetworkOffering'">
<li><a href="root_admin/updateNetworkOffering.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='listNetworkOfferings'">
<li><a href="root_admin/listNetworkOfferings.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='deleteNetworkOffering'">
<li><a href="root_admin/deleteNetworkOffering.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='createNetworkOffering'">
<li><a href="root_admin/createNetworkOffering.html"><xsl:value-of select="name"/></a></li>
</xsl:if>

</xsl:for-each>
</ul>      
</div>


<div class="apismallbullet_box">
<h5>Event</h5>
<ul>
<xsl:for-each select="commands/command">
<xsl:if test="name='listEventTypes'">
<li><a href="root_admin/listEventTypes.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='archiveEvents'">
<li><a href="root_admin/archiveEvents.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='deleteEvents'">
<li><a href="root_admin/deleteEvents.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='listEvents'">
<li><a href="root_admin/listEvents.html"><xsl:value-of select="name"/></a></li>
</xsl:if>

</xsl:for-each>
</ul>      
</div>


<div class="apismallbullet_box">
<h5>Disk Offering</h5>
<ul>
<xsl:for-each select="commands/command">
<xsl:if test="name='deleteDiskOffering'">
<li><a href="root_admin/deleteDiskOffering.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='createDiskOffering'">
<li><a href="root_admin/createDiskOffering.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='updateDiskOffering'">
<li><a href="root_admin/updateDiskOffering.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='listDiskOfferings'">
<li><a href="root_admin/listDiskOfferings.html"><xsl:value-of select="name"/></a></li>
</xsl:if>

</xsl:for-each>
</ul>      
</div>


</div>
<div class="apismallsections">
<div class="apismallbullet_box">
<h5>Configuration</h5>
<ul>
<xsl:for-each select="commands/command">
<xsl:if test="name='listDeploymentPlanners'">
<li><a href="root_admin/listDeploymentPlanners.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='listCapabilities'">
<li><a href="root_admin/listCapabilities.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='updateConfiguration'">
<li><a href="root_admin/updateConfiguration.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='listConfigurations'">
<li><a href="root_admin/listConfigurations.html"><xsl:value-of select="name"/></a></li>
</xsl:if>

</xsl:for-each>
</ul>      
</div>


<div class="apismallbullet_box">
<h5>Resource tags</h5>
<ul>
<xsl:for-each select="commands/command">
<xsl:if test="name='listTags'">
<li><a href="root_admin/listTags.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='deleteTags'">
<li><a href="root_admin/deleteTags.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='createTags'">
<li><a href="root_admin/createTags.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>

</xsl:for-each>
</ul>      
</div>


<div class="apismallbullet_box">
<h5>Resource metadata</h5>
<ul>
<xsl:for-each select="commands/command">
<xsl:if test="name='listResourceDetails'">
<li><a href="root_admin/listResourceDetails.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='addResourceDetail'">
<li><a href="root_admin/addResourceDetail.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='removeResourceDetail'">
<li><a href="root_admin/removeResourceDetail.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>

</xsl:for-each>
</ul>      
</div>


<div class="apismallbullet_box">
<h5>Portable IP</h5>
<ul>
<xsl:for-each select="commands/command">
<xsl:if test="name='deletePortableIpRange'">
<li><a href="root_admin/deletePortableIpRange.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='listPortableIpRanges'">
<li><a href="root_admin/listPortableIpRanges.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='createPortableIpRange'">
<li><a href="root_admin/createPortableIpRange.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>

</xsl:for-each>
</ul>      
</div>


</div>
<div class="apismallsections">
<div class="apismallbullet_box">
<h5>Nicira NVP</h5>
<ul>
<xsl:for-each select="commands/command">
<xsl:if test="name='deleteNiciraNvpDevice'">
<li><a href="root_admin/deleteNiciraNvpDevice.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='listNiciraNvpDevices'">
<li><a href="root_admin/listNiciraNvpDevices.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='addNiciraNvpDevice'">
<li><a href="root_admin/addNiciraNvpDevice.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>

</xsl:for-each>
</ul>      
</div>


<div class="apismallbullet_box">
<h5>Nic</h5>
<ul>
<xsl:for-each select="commands/command">
<xsl:if test="name='removeIpFromNic'">
<li><a href="root_admin/removeIpFromNic.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='listNics'">
<li><a href="root_admin/listNics.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='addIpToNic'">
<li><a href="root_admin/addIpToNic.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>

</xsl:for-each>
</ul>      
</div>


<div class="apismallbullet_box">
<h5>Network Device</h5>
<ul>
<xsl:for-each select="commands/command">
<xsl:if test="name='listNetworkDevice'">
<li><a href="root_admin/listNetworkDevice.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='addNetworkDevice'">
<li><a href="root_admin/addNetworkDevice.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='deleteNetworkDevice'">
<li><a href="root_admin/deleteNetworkDevice.html"><xsl:value-of select="name"/></a></li>
</xsl:if>

</xsl:for-each>
</ul>      
</div>


<div class="apismallbullet_box">
<h5>Hypervisor</h5>
<ul>
<xsl:for-each select="commands/command">
<xsl:if test="name='listHypervisorCapabilities'">
<li><a href="root_admin/listHypervisorCapabilities.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='listHypervisors'">
<li><a href="root_admin/listHypervisors.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='updateHypervisorCapabilities'">
<li><a href="root_admin/updateHypervisorCapabilities.html"><xsl:value-of select="name"/></a></li>
</xsl:if>

</xsl:for-each>
</ul>      
</div>


</div>
<div class="apismallsections">
<div class="apismallbullet_box">
<h5>BigSwitch VNS</h5>
<ul>
<xsl:for-each select="commands/command">
<xsl:if test="name='listBigSwitchVnsDevices'">
<li><a href="root_admin/listBigSwitchVnsDevices.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='addBigSwitchVnsDevice'">
<li><a href="root_admin/addBigSwitchVnsDevice.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='deleteBigSwitchVnsDevice'">
<li><a href="root_admin/deleteBigSwitchVnsDevice.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>

</xsl:for-each>
</ul>      
</div>


<div class="apismallbullet_box">
<h5>Alert</h5>
<ul>
<xsl:for-each select="commands/command">
<xsl:if test="name='archiveAlerts'">
<li><a href="root_admin/archiveAlerts.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='listAlerts'">
<li><a href="root_admin/listAlerts.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='deleteAlerts'">
<li><a href="root_admin/deleteAlerts.html"><xsl:value-of select="name"/></a></li>
</xsl:if>

</xsl:for-each>
</ul>      
</div>


<div class="apismallbullet_box">
<h5>Address</h5>
<ul>
<xsl:for-each select="commands/command">
<xsl:if test="name='disassociateIpAddress'">
<li><a href="root_admin/disassociateIpAddress.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='associateIpAddress'">
<li><a href="root_admin/associateIpAddress.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='listPublicIpAddresses'">
<li><a href="root_admin/listPublicIpAddresses.html"><xsl:value-of select="name"/></a></li>
</xsl:if>

</xsl:for-each>
</ul>      
</div>


<div class="apismallbullet_box">
<h5>Swift</h5>
<ul>
<xsl:for-each select="commands/command">
<xsl:if test="name='listSwifts'">
<li><a href="root_admin/listSwifts.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='addSwift'">
<li><a href="root_admin/addSwift.html"><xsl:value-of select="name"/></a></li>
</xsl:if>

</xsl:for-each>
</ul>      
</div>


</div>
<div class="apismallsections">
<div class="apismallbullet_box">
<h5>S3</h5>
<ul>
<xsl:for-each select="commands/command">
<xsl:if test="name='listS3s'">
<li><a href="root_admin/listS3s.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='addS3'">
<li><a href="root_admin/addS3.html"><xsl:value-of select="name"/></a></li>
</xsl:if>

</xsl:for-each>
</ul>      
</div>


<div class="apismallbullet_box">
<h5>LDAP</h5>
<ul>
<xsl:for-each select="commands/command">
<xsl:if test="name='ldapRemove'">
<li><a href="root_admin/ldapRemove.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='ldapConfig'">
<li><a href="root_admin/ldapConfig.html"><xsl:value-of select="name"/></a></li>
</xsl:if>

</xsl:for-each>
</ul>      
</div>


<div class="apismallbullet_box">
<h5>Guest OS</h5>
<ul>
<xsl:for-each select="commands/command">
<xsl:if test="name='listOsTypes'">
<li><a href="root_admin/listOsTypes.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='listOsCategories'">
<li><a href="root_admin/listOsCategories.html"><xsl:value-of select="name"/></a></li>
</xsl:if>

</xsl:for-each>
</ul>      
</div>


<div class="apismallbullet_box">
<h5>Async job</h5>
<ul>
<xsl:for-each select="commands/command">
<xsl:if test="name='queryAsyncJobResult'">
<li><a href="root_admin/queryAsyncJobResult.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='listAsyncJobs'">
<li><a href="root_admin/listAsyncJobs.html"><xsl:value-of select="name"/></a></li>
</xsl:if>

</xsl:for-each>
</ul>      
</div>


</div>
<div class="apismallsections">
<div class="apismallbullet_box">
<h5>System Capacity</h5>
<ul>
<xsl:for-each select="commands/command">
<xsl:if test="name='listCapacity'">
<li><a href="root_admin/listCapacity.html"><xsl:value-of select="name"/></a></li>
</xsl:if>

</xsl:for-each>
</ul>      
</div>


<div class="apismallbullet_box">
<h5>Logout</h5>
<ul>
<xsl:for-each select="commands/command">
<xsl:if test="name='logout'">
<li><a href="root_admin/logout.html"><xsl:value-of select="name"/></a></li>
</xsl:if>

</xsl:for-each>
</ul>      
</div>


<div class="apismallbullet_box">
<h5>Login</h5>
<ul>
<xsl:for-each select="commands/command">
<xsl:if test="name='login'">
<li><a href="root_admin/login.html"><xsl:value-of select="name"/></a></li>
</xsl:if>

</xsl:for-each>
</ul>      
</div>


<div class="apismallbullet_box">
<h5>Cloud Identifier</h5>
<ul>
<xsl:for-each select="commands/command">
<xsl:if test="name='getCloudIdentifier'">
<li><a href="root_admin/getCloudIdentifier.html"><xsl:value-of select="name"/></a></li>
</xsl:if>

</xsl:for-each>
</ul>      
</div>


</div>
<div class="apismallsections">
<div class="apismallbullet_box">
<h5>Certificate</h5>
<ul>
<xsl:for-each select="commands/command">
<xsl:if test="name='uploadCustomCertificate'">
<li><a href="root_admin/uploadCustomCertificate.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>

</xsl:for-each>
</ul>      
</div>


<div class="apismallbullet_box">
<h5>API Discovery</h5>
<ul>
<xsl:for-each select="commands/command">
<xsl:if test="name='listApis'">
<li><a href="root_admin/listApis.html"><xsl:value-of select="name"/></a></li>
</xsl:if>

</xsl:for-each>
</ul>      
</div>


</div>
<!--
Licensed to the Apache Software Foundation (ASF) under one
or more contributor license agreements.  See the NOTICE file
distributed with this work for additional information
regarding copyright ownership.  The ASF licenses this file
to you under the Apache License, Version 2.0 (the
"License"); you may not use this file except in compliance
with the License.  You may obtain a copy of the License at

  http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing,
software distributed under the License is distributed on an
"AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
KIND, either express or implied.  See the License for the
specific language governing permissions and limitations
under the License.
-->
                         </div>      
                </div> 
                </div>
                  
     
            </div>
        </div>
<div id="footer">
        	<div id="footer_mainmaster">

                <p>Copyright 2013 Citrix Systems, Inc. All rights reserved. Specifications are subject to change without notice. Citrix Systems, Inc., the Citrix logo, Citrix XenServer, Citrix XenCenter, and CloudPlatform are trademarks or registered trademarks of Citrix Systems, Inc. All other brands or products are trademarks or registered trademarks of their respective holders.</p>
            </div>
        </div>
  </div>
 </div>
</body>
</html>
</xsl:template>
</xsl:stylesheet>
