<?xml version="1.0"?>
<!--
Licensed to the Apache Software Foundation (ASF) under one
or more contributor license agreements.  See the NOTICE file
distributed with this work for additional information
regarding copyright ownership.  The ASF licenses this file
to you under the Apache License, Version 2.0 (the
"License"); you may not use this file except in compliance
with the License.  You may obtain a copy of the License at

  http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing,
software distributed under the License is distributed on an
"AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
KIND, either express or implied.  See the License for the
specific language governing permissions and limitations
under the License.
-->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
version="1.0">
<xsl:output method="html" doctype-public="-//W3C//DTD HTML 1.0 Transitional//EN"/>
<xsl:template match="/">
<html xmlns="http://www.w3.org/1999/xhtml"><head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<link rel= "stylesheet" href="includes/main.css" type="text/css" />
<link rel="shortcut icon" href="favicon.ico" type="image/x-icon" />

<title>Citrix CloudPlatform (powered by Apache CloudStack)</title>
</head>

<body>
<div id="insidetopbg">
<div id="inside_wrapper">
	<div class="uppermenu_panel">
            <div class="uppermenu_box"></div>
        </div>
        
        <div id="main_master">
            <div id="inside_header">
                <div class="header_top">
                    
                    <div class="mainemenu_panel">
                        
                    </div>
                </div>
                
            
            </div>
            <div id="main_content">
             	
                <div class="inside_apileftpanel">
                	<div class="inside_contentpanel" style="width:930px;">
              		  	<!-- Modify this line for the release version -->
                    	<h1>Citrix CloudPlatform 4.2.1 API Reference</h1>
                        <div class="apiannouncement_box">
                        	<div class="apiannouncement_contentarea">
                                <h3>Using the CloudPlatform API</h3>
                                <p>For information about how the APIs work, and tips on how to use them, see the
                                    Developer's Guide, available at <a href="http://docs.citrix.com/cloudplatform">docs.citrix.com/cloudplatform</a>.</p>
       					 	</div>
       					 </div>
                         
                         <div class="api_leftsections">
                      			<h3>Domain Admin API</h3>
                                <span>Commands available through the developer API URL and the integration API URL.</span>
                                <div class="api_legends">
           				<p><span class="api_legends_async">(A)</span> implies that the command is asynchronous.</p>
					<p>(*) implies element has a child.</p>
 				</div>
<div class="apismallsections">
<div class="apismallbullet_box">
<h5>Load Balancer</h5>
<ul>
<xsl:for-each select="commands/command">
<xsl:if test="name='listLBStickinessPolicies'">
<li><a href="domain_admin/listLBStickinessPolicies.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='createLoadBalancerRule'">
<li><a href="domain_admin/createLoadBalancerRule.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='deleteLoadBalancer'">
<li><a href="domain_admin/deleteLoadBalancer.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='updateLoadBalancerRule'">
<li><a href="domain_admin/updateLoadBalancerRule.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='assignToLoadBalancerRule'">
<li><a href="domain_admin/assignToLoadBalancerRule.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='createGlobalLoadBalancerRule'">
<li><a href="domain_admin/createGlobalLoadBalancerRule.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='removeFromLoadBalancerRule'">
<li><a href="domain_admin/removeFromLoadBalancerRule.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='createLBStickinessPolicy'">
<li><a href="domain_admin/createLBStickinessPolicy.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='deleteLBStickinessPolicy'">
<li><a href="domain_admin/deleteLBStickinessPolicy.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='removeFromGlobalLoadBalancerRule'">
<li><a href="domain_admin/removeFromGlobalLoadBalancerRule.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='listLBHealthCheckPolicies'">
<li><a href="domain_admin/listLBHealthCheckPolicies.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='listGlobalLoadBalancerRules'">
<li><a href="domain_admin/listGlobalLoadBalancerRules.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='assignToGlobalLoadBalancerRule'">
<li><a href="domain_admin/assignToGlobalLoadBalancerRule.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='listLoadBalancerRules'">
<li><a href="domain_admin/listLoadBalancerRules.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='createLBHealthCheckPolicy'">
<li><a href="domain_admin/createLBHealthCheckPolicy.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='updateGlobalLoadBalancerRule'">
<li><a href="domain_admin/updateGlobalLoadBalancerRule.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='createLoadBalancer'">
<li><a href="domain_admin/createLoadBalancer.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='listLoadBalancerRuleInstances'">
<li><a href="domain_admin/listLoadBalancerRuleInstances.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='deleteGlobalLoadBalancerRule'">
<li><a href="domain_admin/deleteGlobalLoadBalancerRule.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='deleteLBHealthCheckPolicy'">
<li><a href="domain_admin/deleteLBHealthCheckPolicy.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='deleteLoadBalancerRule'">
<li><a href="domain_admin/deleteLoadBalancerRule.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='listLoadBalancers'">
<li><a href="domain_admin/listLoadBalancers.html"><xsl:value-of select="name"/></a></li>
</xsl:if>

</xsl:for-each>
</ul>      
</div>


<div class="apismallbullet_box">
<h5>AutoScale</h5>
<ul>
<xsl:for-each select="commands/command">
<xsl:if test="name='deleteCondition'">
<li><a href="domain_admin/deleteCondition.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='deleteAutoScalePolicy'">
<li><a href="domain_admin/deleteAutoScalePolicy.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='updateAutoScaleVmGroup'">
<li><a href="domain_admin/updateAutoScaleVmGroup.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='createCondition'">
<li><a href="domain_admin/createCondition.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='deleteAutoScaleVmProfile'">
<li><a href="domain_admin/deleteAutoScaleVmProfile.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='listAutoScaleVmProfiles'">
<li><a href="domain_admin/listAutoScaleVmProfiles.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='disableAutoScaleVmGroup'">
<li><a href="domain_admin/disableAutoScaleVmGroup.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='updateAutoScalePolicy'">
<li><a href="domain_admin/updateAutoScalePolicy.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='listConditions'">
<li><a href="domain_admin/listConditions.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='createAutoScalePolicy'">
<li><a href="domain_admin/createAutoScalePolicy.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='deleteAutoScaleVmGroup'">
<li><a href="domain_admin/deleteAutoScaleVmGroup.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='enableAutoScaleVmGroup'">
<li><a href="domain_admin/enableAutoScaleVmGroup.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='createAutoScaleVmProfile'">
<li><a href="domain_admin/createAutoScaleVmProfile.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='createAutoScaleVmGroup'">
<li><a href="domain_admin/createAutoScaleVmGroup.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='listAutoScalePolicies'">
<li><a href="domain_admin/listAutoScalePolicies.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='listCounters'">
<li><a href="domain_admin/listCounters.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='listAutoScaleVmGroups'">
<li><a href="domain_admin/listAutoScaleVmGroups.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='updateAutoScaleVmProfile'">
<li><a href="domain_admin/updateAutoScaleVmProfile.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>

</xsl:for-each>
</ul>      
</div>


<div class="apismallbullet_box">
<h5>Virtual Machine</h5>
<ul>
<xsl:for-each select="commands/command">
<xsl:if test="name='resetPasswordForVirtualMachine'">
<li><a href="domain_admin/resetPasswordForVirtualMachine.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='deployVirtualMachine'">
<li><a href="domain_admin/deployVirtualMachine.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='startVirtualMachine'">
<li><a href="domain_admin/startVirtualMachine.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='rebootVirtualMachine'">
<li><a href="domain_admin/rebootVirtualMachine.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='updateDefaultNicForVirtualMachine'">
<li><a href="domain_admin/updateDefaultNicForVirtualMachine.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='listVirtualMachines'">
<li><a href="domain_admin/listVirtualMachines.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='removeNicFromVirtualMachine'">
<li><a href="domain_admin/removeNicFromVirtualMachine.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='updateVirtualMachine'">
<li><a href="domain_admin/updateVirtualMachine.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='assignVirtualMachine'">
<li><a href="domain_admin/assignVirtualMachine.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='recoverVirtualMachine'">
<li><a href="domain_admin/recoverVirtualMachine.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='scaleVirtualMachine'">
<li><a href="domain_admin/scaleVirtualMachine.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='addNicToVirtualMachine'">
<li><a href="domain_admin/addNicToVirtualMachine.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='destroyVirtualMachine'">
<li><a href="domain_admin/destroyVirtualMachine.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='restoreVirtualMachine'">
<li><a href="domain_admin/restoreVirtualMachine.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='stopVirtualMachine'">
<li><a href="domain_admin/stopVirtualMachine.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='changeServiceForVirtualMachine'">
<li><a href="domain_admin/changeServiceForVirtualMachine.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='getVMPassword'">
<li><a href="domain_admin/getVMPassword.html"><xsl:value-of select="name"/></a></li>
</xsl:if>

</xsl:for-each>
</ul>      
</div>


<div class="apismallbullet_box">
<h5>VPN</h5>
<ul>
<xsl:for-each select="commands/command">
<xsl:if test="name='deleteVpnConnection'">
<li><a href="domain_admin/deleteVpnConnection.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='listVpnConnections'">
<li><a href="domain_admin/listVpnConnections.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='createRemoteAccessVpn'">
<li><a href="domain_admin/createRemoteAccessVpn.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='resetVpnConnection'">
<li><a href="domain_admin/resetVpnConnection.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='createVpnConnection'">
<li><a href="domain_admin/createVpnConnection.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='deleteVpnGateway'">
<li><a href="domain_admin/deleteVpnGateway.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='updateVpnCustomerGateway'">
<li><a href="domain_admin/updateVpnCustomerGateway.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='addVpnUser'">
<li><a href="domain_admin/addVpnUser.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='listVpnCustomerGateways'">
<li><a href="domain_admin/listVpnCustomerGateways.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='listRemoteAccessVpns'">
<li><a href="domain_admin/listRemoteAccessVpns.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='createVpnGateway'">
<li><a href="domain_admin/createVpnGateway.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='deleteVpnCustomerGateway'">
<li><a href="domain_admin/deleteVpnCustomerGateway.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='deleteRemoteAccessVpn'">
<li><a href="domain_admin/deleteRemoteAccessVpn.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='listVpnUsers'">
<li><a href="domain_admin/listVpnUsers.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='listVpnGateways'">
<li><a href="domain_admin/listVpnGateways.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='removeVpnUser'">
<li><a href="domain_admin/removeVpnUser.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='createVpnCustomerGateway'">
<li><a href="domain_admin/createVpnCustomerGateway.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>

</xsl:for-each>
</ul>      
</div>


</div>
<div class="apismallsections">
<div class="apismallbullet_box">
<h5>VPC</h5>
<ul>
<xsl:for-each select="commands/command">
<xsl:if test="name='restartVPC'">
<li><a href="domain_admin/restartVPC.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='updateVPC'">
<li><a href="domain_admin/updateVPC.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='listStaticRoutes'">
<li><a href="domain_admin/listStaticRoutes.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='createStaticRoute'">
<li><a href="domain_admin/createStaticRoute.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='listPrivateGateways'">
<li><a href="domain_admin/listPrivateGateways.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='listVPCs'">
<li><a href="domain_admin/listVPCs.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='createVPC'">
<li><a href="domain_admin/createVPC.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='deleteVPC'">
<li><a href="domain_admin/deleteVPC.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='deleteStaticRoute'">
<li><a href="domain_admin/deleteStaticRoute.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='listVPCOfferings'">
<li><a href="domain_admin/listVPCOfferings.html"><xsl:value-of select="name"/></a></li>
</xsl:if>

</xsl:for-each>
</ul>      
</div>


<div class="apismallbullet_box">
<h5>Snapshot</h5>
<ul>
<xsl:for-each select="commands/command">
<xsl:if test="name='revertToVMSnapshot'">
<li><a href="domain_admin/revertToVMSnapshot.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='createSnapshotPolicy'">
<li><a href="domain_admin/createSnapshotPolicy.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='createSnapshot'">
<li><a href="domain_admin/createSnapshot.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='deleteSnapshot'">
<li><a href="domain_admin/deleteSnapshot.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='listSnapshotPolicies'">
<li><a href="domain_admin/listSnapshotPolicies.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='deleteSnapshotPolicies'">
<li><a href="domain_admin/deleteSnapshotPolicies.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='deleteVMSnapshot'">
<li><a href="domain_admin/deleteVMSnapshot.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='createVMSnapshot'">
<li><a href="domain_admin/createVMSnapshot.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='listVMSnapshot'">
<li><a href="domain_admin/listVMSnapshot.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='listSnapshots'">
<li><a href="domain_admin/listSnapshots.html"><xsl:value-of select="name"/></a></li>
</xsl:if>

</xsl:for-each>
</ul>      
</div>


<div class="apismallbullet_box">
<h5>ISO</h5>
<ul>
<xsl:for-each select="commands/command">
<xsl:if test="name='deleteIso'">
<li><a href="domain_admin/deleteIso.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='listIsoPermissions'">
<li><a href="domain_admin/listIsoPermissions.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='updateIso'">
<li><a href="domain_admin/updateIso.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='registerIso'">
<li><a href="domain_admin/registerIso.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='extractIso'">
<li><a href="domain_admin/extractIso.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='detachIso'">
<li><a href="domain_admin/detachIso.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='copyIso'">
<li><a href="domain_admin/copyIso.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='attachIso'">
<li><a href="domain_admin/attachIso.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='listIsos'">
<li><a href="domain_admin/listIsos.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='updateIsoPermissions'">
<li><a href="domain_admin/updateIsoPermissions.html"><xsl:value-of select="name"/></a></li>
</xsl:if>

</xsl:for-each>
</ul>      
</div>


<div class="apismallbullet_box">
<h5>Firewall</h5>
<ul>
<xsl:for-each select="commands/command">
<xsl:if test="name='createEgressFirewallRule'">
<li><a href="domain_admin/createEgressFirewallRule.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='listEgressFirewallRules'">
<li><a href="domain_admin/listEgressFirewallRules.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='listFirewallRules'">
<li><a href="domain_admin/listFirewallRules.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='listPortForwardingRules'">
<li><a href="domain_admin/listPortForwardingRules.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='createFirewallRule'">
<li><a href="domain_admin/createFirewallRule.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='deleteEgressFirewallRule'">
<li><a href="domain_admin/deleteEgressFirewallRule.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='deletePortForwardingRule'">
<li><a href="domain_admin/deletePortForwardingRule.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='deleteFirewallRule'">
<li><a href="domain_admin/deleteFirewallRule.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='updatePortForwardingRule'">
<li><a href="domain_admin/updatePortForwardingRule.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='createPortForwardingRule'">
<li><a href="domain_admin/createPortForwardingRule.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>

</xsl:for-each>
</ul>      
</div>


</div>
<div class="apismallsections">
<div class="apismallbullet_box">
<h5>Account</h5>
<ul>
<xsl:for-each select="commands/command">
<xsl:if test="name='updateAccount'">
<li><a href="domain_admin/updateAccount.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='createAccount'">
<li><a href="domain_admin/createAccount.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='deleteAccountFromProject'">
<li><a href="domain_admin/deleteAccountFromProject.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='enableAccount'">
<li><a href="domain_admin/enableAccount.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='listAccounts'">
<li><a href="domain_admin/listAccounts.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='disableAccount'">
<li><a href="domain_admin/disableAccount.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='addAccountToProject'">
<li><a href="domain_admin/addAccountToProject.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='deleteAccount'">
<li><a href="domain_admin/deleteAccount.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='listProjectAccounts'">
<li><a href="domain_admin/listProjectAccounts.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='lockAccount'">
<li><a href="domain_admin/lockAccount.html"><xsl:value-of select="name"/></a></li>
</xsl:if>

</xsl:for-each>
</ul>      
</div>


<div class="apismallbullet_box">
<h5>Volume</h5>
<ul>
<xsl:for-each select="commands/command">
<xsl:if test="name='resizeVolume'">
<li><a href="domain_admin/resizeVolume.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='createVolume'">
<li><a href="domain_admin/createVolume.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='listVolumes'">
<li><a href="domain_admin/listVolumes.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='uploadVolume'">
<li><a href="domain_admin/uploadVolume.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='deleteVolume'">
<li><a href="domain_admin/deleteVolume.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='detachVolume'">
<li><a href="domain_admin/detachVolume.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='extractVolume'">
<li><a href="domain_admin/extractVolume.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='attachVolume'">
<li><a href="domain_admin/attachVolume.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='migrateVolume'">
<li><a href="domain_admin/migrateVolume.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>

</xsl:for-each>
</ul>      
</div>


<div class="apismallbullet_box">
<h5>Template</h5>
<ul>
<xsl:for-each select="commands/command">
<xsl:if test="name='updateTemplatePermissions'">
<li><a href="domain_admin/updateTemplatePermissions.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='updateTemplate'">
<li><a href="domain_admin/updateTemplate.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='extractTemplate'">
<li><a href="domain_admin/extractTemplate.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='deleteTemplate'">
<li><a href="domain_admin/deleteTemplate.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='copyTemplate'">
<li><a href="domain_admin/copyTemplate.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='createTemplate'">
<li><a href="domain_admin/createTemplate.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='listTemplatePermissions'">
<li><a href="domain_admin/listTemplatePermissions.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='listTemplates'">
<li><a href="domain_admin/listTemplates.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='registerTemplate'">
<li><a href="domain_admin/registerTemplate.html"><xsl:value-of select="name"/></a></li>
</xsl:if>

</xsl:for-each>
</ul>      
</div>


<div class="apismallbullet_box">
<h5>Router</h5>
<ul>
<xsl:for-each select="commands/command">
<xsl:if test="name='createVirtualRouterElement'">
<li><a href="domain_admin/createVirtualRouterElement.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='listVirtualRouterElements'">
<li><a href="domain_admin/listVirtualRouterElements.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='changeServiceForRouter'">
<li><a href="domain_admin/changeServiceForRouter.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='rebootRouter'">
<li><a href="domain_admin/rebootRouter.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='stopRouter'">
<li><a href="domain_admin/stopRouter.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='destroyRouter'">
<li><a href="domain_admin/destroyRouter.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='listRouters'">
<li><a href="domain_admin/listRouters.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='configureVirtualRouterElement'">
<li><a href="domain_admin/configureVirtualRouterElement.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='startRouter'">
<li><a href="domain_admin/startRouter.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>

</xsl:for-each>
</ul>      
</div>


</div>
<div class="apismallsections">
<div class="apismallbullet_box">
<h5>Project</h5>
<ul>
<xsl:for-each select="commands/command">
<xsl:if test="name='listProjects'">
<li><a href="domain_admin/listProjects.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='createProject'">
<li><a href="domain_admin/createProject.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='updateProjectInvitation'">
<li><a href="domain_admin/updateProjectInvitation.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='deleteProject'">
<li><a href="domain_admin/deleteProject.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='deleteProjectInvitation'">
<li><a href="domain_admin/deleteProjectInvitation.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='suspendProject'">
<li><a href="domain_admin/suspendProject.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='listProjectInvitations'">
<li><a href="domain_admin/listProjectInvitations.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='updateProject'">
<li><a href="domain_admin/updateProject.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='activateProject'">
<li><a href="domain_admin/activateProject.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>

</xsl:for-each>
</ul>      
</div>


<div class="apismallbullet_box">
<h5>User</h5>
<ul>
<xsl:for-each select="commands/command">
<xsl:if test="name='enableUser'">
<li><a href="domain_admin/enableUser.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='registerUserKeys'">
<li><a href="domain_admin/registerUserKeys.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='lockUser'">
<li><a href="domain_admin/lockUser.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='updateUser'">
<li><a href="domain_admin/updateUser.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='deleteUser'">
<li><a href="domain_admin/deleteUser.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='createUser'">
<li><a href="domain_admin/createUser.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='disableUser'">
<li><a href="domain_admin/disableUser.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='listUsers'">
<li><a href="domain_admin/listUsers.html"><xsl:value-of select="name"/></a></li>
</xsl:if>

</xsl:for-each>
</ul>      
</div>


<div class="apismallbullet_box">
<h5>Network ACL</h5>
<ul>
<xsl:for-each select="commands/command">
<xsl:if test="name='replaceNetworkACLList'">
<li><a href="domain_admin/replaceNetworkACLList.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='deleteNetworkACLList'">
<li><a href="domain_admin/deleteNetworkACLList.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='createNetworkACLList'">
<li><a href="domain_admin/createNetworkACLList.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='createNetworkACL'">
<li><a href="domain_admin/createNetworkACL.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='listNetworkACLs'">
<li><a href="domain_admin/listNetworkACLs.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='deleteNetworkACL'">
<li><a href="domain_admin/deleteNetworkACL.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='updateNetworkACLItem'">
<li><a href="domain_admin/updateNetworkACLItem.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='listNetworkACLLists'">
<li><a href="domain_admin/listNetworkACLLists.html"><xsl:value-of select="name"/></a></li>
</xsl:if>

</xsl:for-each>
</ul>      
</div>


<div class="apismallbullet_box">
<h5>Security Group</h5>
<ul>
<xsl:for-each select="commands/command">
<xsl:if test="name='createSecurityGroup'">
<li><a href="domain_admin/createSecurityGroup.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='revokeSecurityGroupIngress'">
<li><a href="domain_admin/revokeSecurityGroupIngress.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='authorizeSecurityGroupEgress'">
<li><a href="domain_admin/authorizeSecurityGroupEgress.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='authorizeSecurityGroupIngress'">
<li><a href="domain_admin/authorizeSecurityGroupIngress.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='revokeSecurityGroupEgress'">
<li><a href="domain_admin/revokeSecurityGroupEgress.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='deleteSecurityGroup'">
<li><a href="domain_admin/deleteSecurityGroup.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='listSecurityGroups'">
<li><a href="domain_admin/listSecurityGroups.html"><xsl:value-of select="name"/></a></li>
</xsl:if>

</xsl:for-each>
</ul>      
</div>


</div>
<div class="apismallsections">
<div class="apismallbullet_box">
<h5>SSH</h5>
<ul>
<xsl:for-each select="commands/command">
<xsl:if test="name='registerSSHKeyPair'">
<li><a href="domain_admin/registerSSHKeyPair.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='createSSHKeyPair'">
<li><a href="domain_admin/createSSHKeyPair.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='deleteSSHKeyPair'">
<li><a href="domain_admin/deleteSSHKeyPair.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='listSSHKeyPairs'">
<li><a href="domain_admin/listSSHKeyPairs.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='resetSSHKeyForVirtualMachine'">
<li><a href="domain_admin/resetSSHKeyForVirtualMachine.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>

</xsl:for-each>
</ul>      
</div>


<div class="apismallbullet_box">
<h5>Network</h5>
<ul>
<xsl:for-each select="commands/command">
<xsl:if test="name='deleteNetwork'">
<li><a href="domain_admin/deleteNetwork.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='listNetworks'">
<li><a href="domain_admin/listNetworks.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='updateNetwork'">
<li><a href="domain_admin/updateNetwork.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='restartNetwork'">
<li><a href="domain_admin/restartNetwork.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='createNetwork'">
<li><a href="domain_admin/createNetwork.html"><xsl:value-of select="name"/></a></li>
</xsl:if>

</xsl:for-each>
</ul>      
</div>


<div class="apismallbullet_box">
<h5>NAT</h5>
<ul>
<xsl:for-each select="commands/command">
<xsl:if test="name='createIpForwardingRule'">
<li><a href="domain_admin/createIpForwardingRule.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='disableStaticNat'">
<li><a href="domain_admin/disableStaticNat.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='deleteIpForwardingRule'">
<li><a href="domain_admin/deleteIpForwardingRule.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='enableStaticNat'">
<li><a href="domain_admin/enableStaticNat.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='listIpForwardingRules'">
<li><a href="domain_admin/listIpForwardingRules.html"><xsl:value-of select="name"/></a></li>
</xsl:if>

</xsl:for-each>
</ul>      
</div>


<div class="apismallbullet_box">
<h5>Affinity Group</h5>
<ul>
<xsl:for-each select="commands/command">
<xsl:if test="name='deleteAffinityGroup'">
<li><a href="domain_admin/deleteAffinityGroup.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='createAffinityGroup'">
<li><a href="domain_admin/createAffinityGroup.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='listAffinityGroups'">
<li><a href="domain_admin/listAffinityGroups.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='listAffinityGroupTypes'">
<li><a href="domain_admin/listAffinityGroupTypes.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='updateVMAffinityGroup'">
<li><a href="domain_admin/updateVMAffinityGroup.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>

</xsl:for-each>
</ul>      
</div>


</div>
<div class="apismallsections">
<div class="apismallbullet_box">
<h5>VM Group</h5>
<ul>
<xsl:for-each select="commands/command">
<xsl:if test="name='updateInstanceGroup'">
<li><a href="domain_admin/updateInstanceGroup.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='createInstanceGroup'">
<li><a href="domain_admin/createInstanceGroup.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='deleteInstanceGroup'">
<li><a href="domain_admin/deleteInstanceGroup.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='listInstanceGroups'">
<li><a href="domain_admin/listInstanceGroups.html"><xsl:value-of select="name"/></a></li>
</xsl:if>

</xsl:for-each>
</ul>      
</div>


<div class="apismallbullet_box">
<h5>Limit</h5>
<ul>
<xsl:for-each select="commands/command">
<xsl:if test="name='updateResourceLimit'">
<li><a href="domain_admin/updateResourceLimit.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='updateResourceCount'">
<li><a href="domain_admin/updateResourceCount.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='getApiLimit'">
<li><a href="domain_admin/getApiLimit.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='listResourceLimits'">
<li><a href="domain_admin/listResourceLimits.html"><xsl:value-of select="name"/></a></li>
</xsl:if>

</xsl:for-each>
</ul>      
</div>


<div class="apismallbullet_box">
<h5>Event</h5>
<ul>
<xsl:for-each select="commands/command">
<xsl:if test="name='listEventTypes'">
<li><a href="domain_admin/listEventTypes.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='archiveEvents'">
<li><a href="domain_admin/archiveEvents.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='deleteEvents'">
<li><a href="domain_admin/deleteEvents.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='listEvents'">
<li><a href="domain_admin/listEvents.html"><xsl:value-of select="name"/></a></li>
</xsl:if>

</xsl:for-each>
</ul>      
</div>


<div class="apismallbullet_box">
<h5>Resource tags</h5>
<ul>
<xsl:for-each select="commands/command">
<xsl:if test="name='listTags'">
<li><a href="domain_admin/listTags.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='deleteTags'">
<li><a href="domain_admin/deleteTags.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='createTags'">
<li><a href="domain_admin/createTags.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>

</xsl:for-each>
</ul>      
</div>


</div>
<div class="apismallsections">
<div class="apismallbullet_box">
<h5>Nic</h5>
<ul>
<xsl:for-each select="commands/command">
<xsl:if test="name='removeIpFromNic'">
<li><a href="domain_admin/removeIpFromNic.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='listNics'">
<li><a href="domain_admin/listNics.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='addIpToNic'">
<li><a href="domain_admin/addIpToNic.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>

</xsl:for-each>
</ul>      
</div>


<div class="apismallbullet_box">
<h5>Internal LB</h5>
<ul>
<xsl:for-each select="commands/command">
<xsl:if test="name='createInternalLoadBalancerElement'">
<li><a href="domain_admin/createInternalLoadBalancerElement.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='configureInternalLoadBalancerElement'">
<li><a href="domain_admin/configureInternalLoadBalancerElement.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='listInternalLoadBalancerElements'">
<li><a href="domain_admin/listInternalLoadBalancerElements.html"><xsl:value-of select="name"/></a></li>
</xsl:if>

</xsl:for-each>
</ul>      
</div>


<div class="apismallbullet_box">
<h5>Address</h5>
<ul>
<xsl:for-each select="commands/command">
<xsl:if test="name='disassociateIpAddress'">
<li><a href="domain_admin/disassociateIpAddress.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='associateIpAddress'">
<li><a href="domain_admin/associateIpAddress.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='listPublicIpAddresses'">
<li><a href="domain_admin/listPublicIpAddresses.html"><xsl:value-of select="name"/></a></li>
</xsl:if>

</xsl:for-each>
</ul>      
</div>


<div class="apismallbullet_box">
<h5>Guest OS</h5>
<ul>
<xsl:for-each select="commands/command">
<xsl:if test="name='listOsTypes'">
<li><a href="domain_admin/listOsTypes.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='listOsCategories'">
<li><a href="domain_admin/listOsCategories.html"><xsl:value-of select="name"/></a></li>
</xsl:if>

</xsl:for-each>
</ul>      
</div>


</div>
<div class="apismallsections">
<div class="apismallbullet_box">
<h5>Domain</h5>
<ul>
<xsl:for-each select="commands/command">
<xsl:if test="name='listDomains'">
<li><a href="domain_admin/listDomains.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='listDomainChildren'">
<li><a href="domain_admin/listDomainChildren.html"><xsl:value-of select="name"/></a></li>
</xsl:if>

</xsl:for-each>
</ul>      
</div>


<div class="apismallbullet_box">
<h5>Async job</h5>
<ul>
<xsl:for-each select="commands/command">
<xsl:if test="name='queryAsyncJobResult'">
<li><a href="domain_admin/queryAsyncJobResult.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='listAsyncJobs'">
<li><a href="domain_admin/listAsyncJobs.html"><xsl:value-of select="name"/></a></li>
</xsl:if>

</xsl:for-each>
</ul>      
</div>


<div class="apismallbullet_box">
<h5>Zone</h5>
<ul>
<xsl:for-each select="commands/command">
<xsl:if test="name='listZones'">
<li><a href="domain_admin/listZones.html"><xsl:value-of select="name"/></a></li>
</xsl:if>

</xsl:for-each>
</ul>      
</div>


<div class="apismallbullet_box">
<h5>Usage</h5>
<ul>
<xsl:for-each select="commands/command">
<xsl:if test="name='listUsageRecords'">
<li><a href="domain_admin/listUsageRecords.html"><xsl:value-of select="name"/></a></li>
</xsl:if>

</xsl:for-each>
</ul>      
</div>


</div>
<div class="apismallsections">
<div class="apismallbullet_box">
<h5>Service Offering</h5>
<ul>
<xsl:for-each select="commands/command">
<xsl:if test="name='listServiceOfferings'">
<li><a href="domain_admin/listServiceOfferings.html"><xsl:value-of select="name"/></a></li>
</xsl:if>

</xsl:for-each>
</ul>      
</div>


<div class="apismallbullet_box">
<h5>Region</h5>
<ul>
<xsl:for-each select="commands/command">
<xsl:if test="name='listRegions'">
<li><a href="domain_admin/listRegions.html"><xsl:value-of select="name"/></a></li>
</xsl:if>

</xsl:for-each>
</ul>      
</div>


<div class="apismallbullet_box">
<h5>Network Offering</h5>
<ul>
<xsl:for-each select="commands/command">
<xsl:if test="name='listNetworkOfferings'">
<li><a href="domain_admin/listNetworkOfferings.html"><xsl:value-of select="name"/></a></li>
</xsl:if>

</xsl:for-each>
</ul>      
</div>


<div class="apismallbullet_box">
<h5>Logout</h5>
<ul>
<xsl:for-each select="commands/command">
<xsl:if test="name='logout'">
<li><a href="domain_admin/logout.html"><xsl:value-of select="name"/></a></li>
</xsl:if>

</xsl:for-each>
</ul>      
</div>


</div>
<div class="apismallsections">
<div class="apismallbullet_box">
<h5>Login</h5>
<ul>
<xsl:for-each select="commands/command">
<xsl:if test="name='login'">
<li><a href="domain_admin/login.html"><xsl:value-of select="name"/></a></li>
</xsl:if>

</xsl:for-each>
</ul>      
</div>


<div class="apismallbullet_box">
<h5>Hypervisor</h5>
<ul>
<xsl:for-each select="commands/command">
<xsl:if test="name='listHypervisors'">
<li><a href="domain_admin/listHypervisors.html"><xsl:value-of select="name"/></a></li>
</xsl:if>

</xsl:for-each>
</ul>      
</div>


<div class="apismallbullet_box">
<h5>Disk Offering</h5>
<ul>
<xsl:for-each select="commands/command">
<xsl:if test="name='listDiskOfferings'">
<li><a href="domain_admin/listDiskOfferings.html"><xsl:value-of select="name"/></a></li>
</xsl:if>

</xsl:for-each>
</ul>      
</div>


<div class="apismallbullet_box">
<h5>Configuration</h5>
<ul>
<xsl:for-each select="commands/command">
<xsl:if test="name='listCapabilities'">
<li><a href="domain_admin/listCapabilities.html"><xsl:value-of select="name"/></a></li>
</xsl:if>

</xsl:for-each>
</ul>      
</div>


</div>
<div class="apismallsections">
<div class="apismallbullet_box">
<h5>Cloud Identifier</h5>
<ul>
<xsl:for-each select="commands/command">
<xsl:if test="name='getCloudIdentifier'">
<li><a href="domain_admin/getCloudIdentifier.html"><xsl:value-of select="name"/></a></li>
</xsl:if>

</xsl:for-each>
</ul>      
</div>


<div class="apismallbullet_box">
<h5>API Discovery</h5>
<ul>
<xsl:for-each select="commands/command">
<xsl:if test="name='listApis'">
<li><a href="domain_admin/listApis.html"><xsl:value-of select="name"/></a></li>
</xsl:if>

</xsl:for-each>
</ul>      
</div>


</div>
<!--
Licensed to the Apache Software Foundation (ASF) under one
or more contributor license agreements.  See the NOTICE file
distributed with this work for additional information
regarding copyright ownership.  The ASF licenses this file
to you under the Apache License, Version 2.0 (the
"License"); you may not use this file except in compliance
with the License.  You may obtain a copy of the License at

  http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing,
software distributed under the License is distributed on an
"AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
KIND, either express or implied.  See the License for the
specific language governing permissions and limitations
under the License.
-->
                         </div>      
                </div> 
                </div>
                  
     
            </div>
        </div>
<div id="footer">
        	<div id="footer_mainmaster">

                <p>Copyright 2013 Citrix Systems, Inc. All rights reserved. Specifications are subject to change without notice. Citrix Systems, Inc., the Citrix logo, Citrix XenServer, Citrix XenCenter, and CloudPlatform are trademarks or registered trademarks of Citrix Systems, Inc. All other brands or products are trademarks or registered trademarks of their respective holders.</p>
            </div>
        </div>
  </div>
 </div>
</body>
</html>
</xsl:template>
</xsl:stylesheet>
