<?xml version="1.0"?>
<!--
Licensed to the Apache Software Foundation (ASF) under one
or more contributor license agreements.  See the NOTICE file
distributed with this work for additional information
regarding copyright ownership.  The ASF licenses this file
to you under the Apache License, Version 2.0 (the
"License"); you may not use this file except in compliance
with the License.  You may obtain a copy of the License at

  http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing,
software distributed under the License is distributed on an
"AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
KIND, either express or implied.  See the License for the
specific language governing permissions and limitations
under the License.
-->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
version="1.0">
<xsl:output method="html" doctype-public="-//W3C//DTD HTML 1.0 Transitional//EN"/>
<xsl:template match="/">
<html xmlns="http://www.w3.org/1999/xhtml"><head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<link rel= "stylesheet" href="includes/main.css" type="text/css" />
<link rel="shortcut icon" href="favicon.ico" type="image/x-icon" />

<title>Citrix CloudPlatform (powered by Apache CloudStack)</title>
</head>

<body>
<div id="insidetopbg">
<div id="inside_wrapper">
	<div class="uppermenu_panel">
            <div class="uppermenu_box"></div>
        </div>
        
        <div id="main_master">
            <div id="inside_header">
                <div class="header_top">
                    
                    <div class="mainemenu_panel">
                        
                    </div>
                </div>
                
            
            </div>
            <div id="main_content">
             	
                <div class="inside_apileftpanel">
                	<div class="inside_contentpanel" style="width:930px;">
              		  	<!-- Modify this line for the release version -->
                    	<h1>Citrix CloudPlatform 4.2.1 API Reference</h1>
                        <div class="apiannouncement_box">
                        	<div class="apiannouncement_contentarea">
                                <h3>Using the CloudPlatform API</h3>
                                <p>For information about how the APIs work, and tips on how to use them, see the
                                    Developer's Guide, available at <a href="http://docs.citrix.com/cloudplatform">docs.citrix.com/cloudplatform</a>.</p>
       					 	</div>
       					 </div>
                         
                         <div class="api_leftsections">
                      			<h3>User API</h3>
                                <span>Commands available through the developer API URL and the integration API URL.</span>
                                <div class="api_legends">
           				<p><span class="api_legends_async">(A)</span> implies that the command is asynchronous.</p>
					<p>(*) implies element has a child.</p>
 				</div>
<div class="apismallsections">
<div class="apismallbullet_box">
<h5>Load Balancer</h5>
<ul>
<xsl:for-each select="commands/command">
<xsl:if test="name='listLBStickinessPolicies'">
<li><a href="user/listLBStickinessPolicies.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='createLoadBalancerRule'">
<li><a href="user/createLoadBalancerRule.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='deleteLoadBalancer'">
<li><a href="user/deleteLoadBalancer.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='updateLoadBalancerRule'">
<li><a href="user/updateLoadBalancerRule.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='assignToLoadBalancerRule'">
<li><a href="user/assignToLoadBalancerRule.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='createGlobalLoadBalancerRule'">
<li><a href="user/createGlobalLoadBalancerRule.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='removeFromLoadBalancerRule'">
<li><a href="user/removeFromLoadBalancerRule.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='createLBStickinessPolicy'">
<li><a href="user/createLBStickinessPolicy.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='deleteLBStickinessPolicy'">
<li><a href="user/deleteLBStickinessPolicy.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='removeFromGlobalLoadBalancerRule'">
<li><a href="user/removeFromGlobalLoadBalancerRule.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='listLBHealthCheckPolicies'">
<li><a href="user/listLBHealthCheckPolicies.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='listGlobalLoadBalancerRules'">
<li><a href="user/listGlobalLoadBalancerRules.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='assignToGlobalLoadBalancerRule'">
<li><a href="user/assignToGlobalLoadBalancerRule.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='listLoadBalancerRules'">
<li><a href="user/listLoadBalancerRules.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='createLBHealthCheckPolicy'">
<li><a href="user/createLBHealthCheckPolicy.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='updateGlobalLoadBalancerRule'">
<li><a href="user/updateGlobalLoadBalancerRule.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='createLoadBalancer'">
<li><a href="user/createLoadBalancer.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='listLoadBalancerRuleInstances'">
<li><a href="user/listLoadBalancerRuleInstances.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='deleteGlobalLoadBalancerRule'">
<li><a href="user/deleteGlobalLoadBalancerRule.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='deleteLBHealthCheckPolicy'">
<li><a href="user/deleteLBHealthCheckPolicy.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='deleteLoadBalancerRule'">
<li><a href="user/deleteLoadBalancerRule.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='listLoadBalancers'">
<li><a href="user/listLoadBalancers.html"><xsl:value-of select="name"/></a></li>
</xsl:if>

</xsl:for-each>
</ul>      
</div>


<div class="apismallbullet_box">
<h5>AutoScale</h5>
<ul>
<xsl:for-each select="commands/command">
<xsl:if test="name='deleteCondition'">
<li><a href="user/deleteCondition.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='deleteAutoScalePolicy'">
<li><a href="user/deleteAutoScalePolicy.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='updateAutoScaleVmGroup'">
<li><a href="user/updateAutoScaleVmGroup.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='createCondition'">
<li><a href="user/createCondition.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='deleteAutoScaleVmProfile'">
<li><a href="user/deleteAutoScaleVmProfile.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='listAutoScaleVmProfiles'">
<li><a href="user/listAutoScaleVmProfiles.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='disableAutoScaleVmGroup'">
<li><a href="user/disableAutoScaleVmGroup.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='updateAutoScalePolicy'">
<li><a href="user/updateAutoScalePolicy.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='listConditions'">
<li><a href="user/listConditions.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='createAutoScalePolicy'">
<li><a href="user/createAutoScalePolicy.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='deleteAutoScaleVmGroup'">
<li><a href="user/deleteAutoScaleVmGroup.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='enableAutoScaleVmGroup'">
<li><a href="user/enableAutoScaleVmGroup.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='createAutoScaleVmProfile'">
<li><a href="user/createAutoScaleVmProfile.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='createAutoScaleVmGroup'">
<li><a href="user/createAutoScaleVmGroup.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='listAutoScalePolicies'">
<li><a href="user/listAutoScalePolicies.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='listCounters'">
<li><a href="user/listCounters.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='listAutoScaleVmGroups'">
<li><a href="user/listAutoScaleVmGroups.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='updateAutoScaleVmProfile'">
<li><a href="user/updateAutoScaleVmProfile.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>

</xsl:for-each>
</ul>      
</div>


<div class="apismallbullet_box">
<h5>VPN</h5>
<ul>
<xsl:for-each select="commands/command">
<xsl:if test="name='deleteVpnConnection'">
<li><a href="user/deleteVpnConnection.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='listVpnConnections'">
<li><a href="user/listVpnConnections.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='createRemoteAccessVpn'">
<li><a href="user/createRemoteAccessVpn.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='resetVpnConnection'">
<li><a href="user/resetVpnConnection.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='createVpnConnection'">
<li><a href="user/createVpnConnection.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='deleteVpnGateway'">
<li><a href="user/deleteVpnGateway.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='updateVpnCustomerGateway'">
<li><a href="user/updateVpnCustomerGateway.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='addVpnUser'">
<li><a href="user/addVpnUser.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='listVpnCustomerGateways'">
<li><a href="user/listVpnCustomerGateways.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='listRemoteAccessVpns'">
<li><a href="user/listRemoteAccessVpns.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='createVpnGateway'">
<li><a href="user/createVpnGateway.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='deleteVpnCustomerGateway'">
<li><a href="user/deleteVpnCustomerGateway.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='deleteRemoteAccessVpn'">
<li><a href="user/deleteRemoteAccessVpn.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='listVpnUsers'">
<li><a href="user/listVpnUsers.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='listVpnGateways'">
<li><a href="user/listVpnGateways.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='removeVpnUser'">
<li><a href="user/removeVpnUser.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='createVpnCustomerGateway'">
<li><a href="user/createVpnCustomerGateway.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>

</xsl:for-each>
</ul>      
</div>


<div class="apismallbullet_box">
<h5>Virtual Machine</h5>
<ul>
<xsl:for-each select="commands/command">
<xsl:if test="name='resetPasswordForVirtualMachine'">
<li><a href="user/resetPasswordForVirtualMachine.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='deployVirtualMachine'">
<li><a href="user/deployVirtualMachine.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='startVirtualMachine'">
<li><a href="user/startVirtualMachine.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='rebootVirtualMachine'">
<li><a href="user/rebootVirtualMachine.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='updateDefaultNicForVirtualMachine'">
<li><a href="user/updateDefaultNicForVirtualMachine.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='listVirtualMachines'">
<li><a href="user/listVirtualMachines.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='removeNicFromVirtualMachine'">
<li><a href="user/removeNicFromVirtualMachine.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='updateVirtualMachine'">
<li><a href="user/updateVirtualMachine.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='scaleVirtualMachine'">
<li><a href="user/scaleVirtualMachine.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='addNicToVirtualMachine'">
<li><a href="user/addNicToVirtualMachine.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='destroyVirtualMachine'">
<li><a href="user/destroyVirtualMachine.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='restoreVirtualMachine'">
<li><a href="user/restoreVirtualMachine.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='stopVirtualMachine'">
<li><a href="user/stopVirtualMachine.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='changeServiceForVirtualMachine'">
<li><a href="user/changeServiceForVirtualMachine.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='getVMPassword'">
<li><a href="user/getVMPassword.html"><xsl:value-of select="name"/></a></li>
</xsl:if>

</xsl:for-each>
</ul>      
</div>


</div>
<div class="apismallsections">
<div class="apismallbullet_box">
<h5>VPC</h5>
<ul>
<xsl:for-each select="commands/command">
<xsl:if test="name='restartVPC'">
<li><a href="user/restartVPC.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='updateVPC'">
<li><a href="user/updateVPC.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='listStaticRoutes'">
<li><a href="user/listStaticRoutes.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='createStaticRoute'">
<li><a href="user/createStaticRoute.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='listPrivateGateways'">
<li><a href="user/listPrivateGateways.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='listVPCs'">
<li><a href="user/listVPCs.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='createVPC'">
<li><a href="user/createVPC.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='deleteVPC'">
<li><a href="user/deleteVPC.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='deleteStaticRoute'">
<li><a href="user/deleteStaticRoute.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='listVPCOfferings'">
<li><a href="user/listVPCOfferings.html"><xsl:value-of select="name"/></a></li>
</xsl:if>

</xsl:for-each>
</ul>      
</div>


<div class="apismallbullet_box">
<h5>Snapshot</h5>
<ul>
<xsl:for-each select="commands/command">
<xsl:if test="name='revertToVMSnapshot'">
<li><a href="user/revertToVMSnapshot.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='createSnapshotPolicy'">
<li><a href="user/createSnapshotPolicy.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='createSnapshot'">
<li><a href="user/createSnapshot.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='deleteSnapshot'">
<li><a href="user/deleteSnapshot.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='listSnapshotPolicies'">
<li><a href="user/listSnapshotPolicies.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='deleteSnapshotPolicies'">
<li><a href="user/deleteSnapshotPolicies.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='deleteVMSnapshot'">
<li><a href="user/deleteVMSnapshot.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='createVMSnapshot'">
<li><a href="user/createVMSnapshot.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='listVMSnapshot'">
<li><a href="user/listVMSnapshot.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='listSnapshots'">
<li><a href="user/listSnapshots.html"><xsl:value-of select="name"/></a></li>
</xsl:if>

</xsl:for-each>
</ul>      
</div>


<div class="apismallbullet_box">
<h5>ISO</h5>
<ul>
<xsl:for-each select="commands/command">
<xsl:if test="name='deleteIso'">
<li><a href="user/deleteIso.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='listIsoPermissions'">
<li><a href="user/listIsoPermissions.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='updateIso'">
<li><a href="user/updateIso.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='registerIso'">
<li><a href="user/registerIso.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='extractIso'">
<li><a href="user/extractIso.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='detachIso'">
<li><a href="user/detachIso.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='copyIso'">
<li><a href="user/copyIso.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='attachIso'">
<li><a href="user/attachIso.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='listIsos'">
<li><a href="user/listIsos.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='updateIsoPermissions'">
<li><a href="user/updateIsoPermissions.html"><xsl:value-of select="name"/></a></li>
</xsl:if>

</xsl:for-each>
</ul>      
</div>


<div class="apismallbullet_box">
<h5>Firewall</h5>
<ul>
<xsl:for-each select="commands/command">
<xsl:if test="name='createEgressFirewallRule'">
<li><a href="user/createEgressFirewallRule.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='listEgressFirewallRules'">
<li><a href="user/listEgressFirewallRules.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='listFirewallRules'">
<li><a href="user/listFirewallRules.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='listPortForwardingRules'">
<li><a href="user/listPortForwardingRules.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='createFirewallRule'">
<li><a href="user/createFirewallRule.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='deleteEgressFirewallRule'">
<li><a href="user/deleteEgressFirewallRule.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='deletePortForwardingRule'">
<li><a href="user/deletePortForwardingRule.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='deleteFirewallRule'">
<li><a href="user/deleteFirewallRule.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='updatePortForwardingRule'">
<li><a href="user/updatePortForwardingRule.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='createPortForwardingRule'">
<li><a href="user/createPortForwardingRule.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>

</xsl:for-each>
</ul>      
</div>


</div>
<div class="apismallsections">
<div class="apismallbullet_box">
<h5>Volume</h5>
<ul>
<xsl:for-each select="commands/command">
<xsl:if test="name='resizeVolume'">
<li><a href="user/resizeVolume.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='createVolume'">
<li><a href="user/createVolume.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='listVolumes'">
<li><a href="user/listVolumes.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='uploadVolume'">
<li><a href="user/uploadVolume.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='deleteVolume'">
<li><a href="user/deleteVolume.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='detachVolume'">
<li><a href="user/detachVolume.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='extractVolume'">
<li><a href="user/extractVolume.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='attachVolume'">
<li><a href="user/attachVolume.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='migrateVolume'">
<li><a href="user/migrateVolume.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>

</xsl:for-each>
</ul>      
</div>


<div class="apismallbullet_box">
<h5>Template</h5>
<ul>
<xsl:for-each select="commands/command">
<xsl:if test="name='updateTemplatePermissions'">
<li><a href="user/updateTemplatePermissions.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='updateTemplate'">
<li><a href="user/updateTemplate.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='extractTemplate'">
<li><a href="user/extractTemplate.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='deleteTemplate'">
<li><a href="user/deleteTemplate.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='copyTemplate'">
<li><a href="user/copyTemplate.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='createTemplate'">
<li><a href="user/createTemplate.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='listTemplatePermissions'">
<li><a href="user/listTemplatePermissions.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='listTemplates'">
<li><a href="user/listTemplates.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='registerTemplate'">
<li><a href="user/registerTemplate.html"><xsl:value-of select="name"/></a></li>
</xsl:if>

</xsl:for-each>
</ul>      
</div>


<div class="apismallbullet_box">
<h5>Project</h5>
<ul>
<xsl:for-each select="commands/command">
<xsl:if test="name='listProjects'">
<li><a href="user/listProjects.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='createProject'">
<li><a href="user/createProject.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='updateProjectInvitation'">
<li><a href="user/updateProjectInvitation.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='deleteProject'">
<li><a href="user/deleteProject.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='deleteProjectInvitation'">
<li><a href="user/deleteProjectInvitation.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='suspendProject'">
<li><a href="user/suspendProject.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='listProjectInvitations'">
<li><a href="user/listProjectInvitations.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='updateProject'">
<li><a href="user/updateProject.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='activateProject'">
<li><a href="user/activateProject.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>

</xsl:for-each>
</ul>      
</div>


<div class="apismallbullet_box">
<h5>Network ACL</h5>
<ul>
<xsl:for-each select="commands/command">
<xsl:if test="name='replaceNetworkACLList'">
<li><a href="user/replaceNetworkACLList.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='deleteNetworkACLList'">
<li><a href="user/deleteNetworkACLList.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='createNetworkACLList'">
<li><a href="user/createNetworkACLList.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='createNetworkACL'">
<li><a href="user/createNetworkACL.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='listNetworkACLs'">
<li><a href="user/listNetworkACLs.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='deleteNetworkACL'">
<li><a href="user/deleteNetworkACL.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='updateNetworkACLItem'">
<li><a href="user/updateNetworkACLItem.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='listNetworkACLLists'">
<li><a href="user/listNetworkACLLists.html"><xsl:value-of select="name"/></a></li>
</xsl:if>

</xsl:for-each>
</ul>      
</div>


</div>
<div class="apismallsections">
<div class="apismallbullet_box">
<h5>Security Group</h5>
<ul>
<xsl:for-each select="commands/command">
<xsl:if test="name='createSecurityGroup'">
<li><a href="user/createSecurityGroup.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='revokeSecurityGroupIngress'">
<li><a href="user/revokeSecurityGroupIngress.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='authorizeSecurityGroupEgress'">
<li><a href="user/authorizeSecurityGroupEgress.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='authorizeSecurityGroupIngress'">
<li><a href="user/authorizeSecurityGroupIngress.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='revokeSecurityGroupEgress'">
<li><a href="user/revokeSecurityGroupEgress.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='deleteSecurityGroup'">
<li><a href="user/deleteSecurityGroup.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='listSecurityGroups'">
<li><a href="user/listSecurityGroups.html"><xsl:value-of select="name"/></a></li>
</xsl:if>

</xsl:for-each>
</ul>      
</div>


<div class="apismallbullet_box">
<h5>SSH</h5>
<ul>
<xsl:for-each select="commands/command">
<xsl:if test="name='registerSSHKeyPair'">
<li><a href="user/registerSSHKeyPair.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='createSSHKeyPair'">
<li><a href="user/createSSHKeyPair.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='deleteSSHKeyPair'">
<li><a href="user/deleteSSHKeyPair.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='listSSHKeyPairs'">
<li><a href="user/listSSHKeyPairs.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='resetSSHKeyForVirtualMachine'">
<li><a href="user/resetSSHKeyForVirtualMachine.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>

</xsl:for-each>
</ul>      
</div>


<div class="apismallbullet_box">
<h5>Network</h5>
<ul>
<xsl:for-each select="commands/command">
<xsl:if test="name='deleteNetwork'">
<li><a href="user/deleteNetwork.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='listNetworks'">
<li><a href="user/listNetworks.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='updateNetwork'">
<li><a href="user/updateNetwork.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='restartNetwork'">
<li><a href="user/restartNetwork.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='createNetwork'">
<li><a href="user/createNetwork.html"><xsl:value-of select="name"/></a></li>
</xsl:if>

</xsl:for-each>
</ul>      
</div>


<div class="apismallbullet_box">
<h5>NAT</h5>
<ul>
<xsl:for-each select="commands/command">
<xsl:if test="name='createIpForwardingRule'">
<li><a href="user/createIpForwardingRule.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='disableStaticNat'">
<li><a href="user/disableStaticNat.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='deleteIpForwardingRule'">
<li><a href="user/deleteIpForwardingRule.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='enableStaticNat'">
<li><a href="user/enableStaticNat.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='listIpForwardingRules'">
<li><a href="user/listIpForwardingRules.html"><xsl:value-of select="name"/></a></li>
</xsl:if>

</xsl:for-each>
</ul>      
</div>


</div>
<div class="apismallsections">
<div class="apismallbullet_box">
<h5>Affinity Group</h5>
<ul>
<xsl:for-each select="commands/command">
<xsl:if test="name='deleteAffinityGroup'">
<li><a href="user/deleteAffinityGroup.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='createAffinityGroup'">
<li><a href="user/createAffinityGroup.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='listAffinityGroups'">
<li><a href="user/listAffinityGroups.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='listAffinityGroupTypes'">
<li><a href="user/listAffinityGroupTypes.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='updateVMAffinityGroup'">
<li><a href="user/updateVMAffinityGroup.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>

</xsl:for-each>
</ul>      
</div>


<div class="apismallbullet_box">
<h5>VM Group</h5>
<ul>
<xsl:for-each select="commands/command">
<xsl:if test="name='updateInstanceGroup'">
<li><a href="user/updateInstanceGroup.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='createInstanceGroup'">
<li><a href="user/createInstanceGroup.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='deleteInstanceGroup'">
<li><a href="user/deleteInstanceGroup.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='listInstanceGroups'">
<li><a href="user/listInstanceGroups.html"><xsl:value-of select="name"/></a></li>
</xsl:if>

</xsl:for-each>
</ul>      
</div>


<div class="apismallbullet_box">
<h5>Event</h5>
<ul>
<xsl:for-each select="commands/command">
<xsl:if test="name='listEventTypes'">
<li><a href="user/listEventTypes.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='archiveEvents'">
<li><a href="user/archiveEvents.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='deleteEvents'">
<li><a href="user/deleteEvents.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='listEvents'">
<li><a href="user/listEvents.html"><xsl:value-of select="name"/></a></li>
</xsl:if>

</xsl:for-each>
</ul>      
</div>


<div class="apismallbullet_box">
<h5>Account</h5>
<ul>
<xsl:for-each select="commands/command">
<xsl:if test="name='deleteAccountFromProject'">
<li><a href="user/deleteAccountFromProject.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='listAccounts'">
<li><a href="user/listAccounts.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='addAccountToProject'">
<li><a href="user/addAccountToProject.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='listProjectAccounts'">
<li><a href="user/listProjectAccounts.html"><xsl:value-of select="name"/></a></li>
</xsl:if>

</xsl:for-each>
</ul>      
</div>


</div>
<div class="apismallsections">
<div class="apismallbullet_box">
<h5>Resource tags</h5>
<ul>
<xsl:for-each select="commands/command">
<xsl:if test="name='listTags'">
<li><a href="user/listTags.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='deleteTags'">
<li><a href="user/deleteTags.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='createTags'">
<li><a href="user/createTags.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>

</xsl:for-each>
</ul>      
</div>


<div class="apismallbullet_box">
<h5>Nic</h5>
<ul>
<xsl:for-each select="commands/command">
<xsl:if test="name='removeIpFromNic'">
<li><a href="user/removeIpFromNic.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='listNics'">
<li><a href="user/listNics.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='addIpToNic'">
<li><a href="user/addIpToNic.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>

</xsl:for-each>
</ul>      
</div>


<div class="apismallbullet_box">
<h5>Address</h5>
<ul>
<xsl:for-each select="commands/command">
<xsl:if test="name='disassociateIpAddress'">
<li><a href="user/disassociateIpAddress.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='associateIpAddress'">
<li><a href="user/associateIpAddress.html"><xsl:value-of select="name"/> (A)</a></li>
</xsl:if>
<xsl:if test="name='listPublicIpAddresses'">
<li><a href="user/listPublicIpAddresses.html"><xsl:value-of select="name"/></a></li>
</xsl:if>

</xsl:for-each>
</ul>      
</div>


<div class="apismallbullet_box">
<h5>User</h5>
<ul>
<xsl:for-each select="commands/command">
<xsl:if test="name='registerUserKeys'">
<li><a href="user/registerUserKeys.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='updateUser'">
<li><a href="user/updateUser.html"><xsl:value-of select="name"/></a></li>
</xsl:if>

</xsl:for-each>
</ul>      
</div>


</div>
<div class="apismallsections">
<div class="apismallbullet_box">
<h5>Limit</h5>
<ul>
<xsl:for-each select="commands/command">
<xsl:if test="name='getApiLimit'">
<li><a href="user/getApiLimit.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='listResourceLimits'">
<li><a href="user/listResourceLimits.html"><xsl:value-of select="name"/></a></li>
</xsl:if>

</xsl:for-each>
</ul>      
</div>


<div class="apismallbullet_box">
<h5>Guest OS</h5>
<ul>
<xsl:for-each select="commands/command">
<xsl:if test="name='listOsTypes'">
<li><a href="user/listOsTypes.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='listOsCategories'">
<li><a href="user/listOsCategories.html"><xsl:value-of select="name"/></a></li>
</xsl:if>

</xsl:for-each>
</ul>      
</div>


<div class="apismallbullet_box">
<h5>Async job</h5>
<ul>
<xsl:for-each select="commands/command">
<xsl:if test="name='queryAsyncJobResult'">
<li><a href="user/queryAsyncJobResult.html"><xsl:value-of select="name"/></a></li>
</xsl:if>
<xsl:if test="name='listAsyncJobs'">
<li><a href="user/listAsyncJobs.html"><xsl:value-of select="name"/></a></li>
</xsl:if>

</xsl:for-each>
</ul>      
</div>


<div class="apismallbullet_box">
<h5>Zone</h5>
<ul>
<xsl:for-each select="commands/command">
<xsl:if test="name='listZones'">
<li><a href="user/listZones.html"><xsl:value-of select="name"/></a></li>
</xsl:if>

</xsl:for-each>
</ul>      
</div>


</div>
<div class="apismallsections">
<div class="apismallbullet_box">
<h5>Service Offering</h5>
<ul>
<xsl:for-each select="commands/command">
<xsl:if test="name='listServiceOfferings'">
<li><a href="user/listServiceOfferings.html"><xsl:value-of select="name"/></a></li>
</xsl:if>

</xsl:for-each>
</ul>      
</div>


<div class="apismallbullet_box">
<h5>Region</h5>
<ul>
<xsl:for-each select="commands/command">
<xsl:if test="name='listRegions'">
<li><a href="user/listRegions.html"><xsl:value-of select="name"/></a></li>
</xsl:if>

</xsl:for-each>
</ul>      
</div>


<div class="apismallbullet_box">
<h5>Network Offering</h5>
<ul>
<xsl:for-each select="commands/command">
<xsl:if test="name='listNetworkOfferings'">
<li><a href="user/listNetworkOfferings.html"><xsl:value-of select="name"/></a></li>
</xsl:if>

</xsl:for-each>
</ul>      
</div>


<div class="apismallbullet_box">
<h5>Logout</h5>
<ul>
<xsl:for-each select="commands/command">
<xsl:if test="name='logout'">
<li><a href="user/logout.html"><xsl:value-of select="name"/></a></li>
</xsl:if>

</xsl:for-each>
</ul>      
</div>


</div>
<div class="apismallsections">
<div class="apismallbullet_box">
<h5>Login</h5>
<ul>
<xsl:for-each select="commands/command">
<xsl:if test="name='login'">
<li><a href="user/login.html"><xsl:value-of select="name"/></a></li>
</xsl:if>

</xsl:for-each>
</ul>      
</div>


<div class="apismallbullet_box">
<h5>Hypervisor</h5>
<ul>
<xsl:for-each select="commands/command">
<xsl:if test="name='listHypervisors'">
<li><a href="user/listHypervisors.html"><xsl:value-of select="name"/></a></li>
</xsl:if>

</xsl:for-each>
</ul>      
</div>


<div class="apismallbullet_box">
<h5>Disk Offering</h5>
<ul>
<xsl:for-each select="commands/command">
<xsl:if test="name='listDiskOfferings'">
<li><a href="user/listDiskOfferings.html"><xsl:value-of select="name"/></a></li>
</xsl:if>

</xsl:for-each>
</ul>      
</div>


<div class="apismallbullet_box">
<h5>Configuration</h5>
<ul>
<xsl:for-each select="commands/command">
<xsl:if test="name='listCapabilities'">
<li><a href="user/listCapabilities.html"><xsl:value-of select="name"/></a></li>
</xsl:if>

</xsl:for-each>
</ul>      
</div>


</div>
<div class="apismallsections">
<div class="apismallbullet_box">
<h5>Cloud Identifier</h5>
<ul>
<xsl:for-each select="commands/command">
<xsl:if test="name='getCloudIdentifier'">
<li><a href="user/getCloudIdentifier.html"><xsl:value-of select="name"/></a></li>
</xsl:if>

</xsl:for-each>
</ul>      
</div>


<div class="apismallbullet_box">
<h5>API Discovery</h5>
<ul>
<xsl:for-each select="commands/command">
<xsl:if test="name='listApis'">
<li><a href="user/listApis.html"><xsl:value-of select="name"/></a></li>
</xsl:if>

</xsl:for-each>
</ul>      
</div>


</div>
<!--
Licensed to the Apache Software Foundation (ASF) under one
or more contributor license agreements.  See the NOTICE file
distributed with this work for additional information
regarding copyright ownership.  The ASF licenses this file
to you under the Apache License, Version 2.0 (the
"License"); you may not use this file except in compliance
with the License.  You may obtain a copy of the License at

  http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing,
software distributed under the License is distributed on an
"AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
KIND, either express or implied.  See the License for the
specific language governing permissions and limitations
under the License.
-->
                         </div>      
                </div> 
                </div>
                  
     
            </div>
        </div>
<div id="footer">
        	<div id="footer_mainmaster">

                <p>Copyright 2013 Citrix Systems, Inc. All rights reserved. Specifications are subject to change without notice. Citrix Systems, Inc., the Citrix logo, Citrix XenServer, Citrix XenCenter, and CloudPlatform are trademarks or registered trademarks of Citrix Systems, Inc. All other brands or products are trademarks or registered trademarks of their respective holders.</p>
            </div>
        </div>
  </div>
 </div>
</body>
</html>
</xsl:template>
</xsl:stylesheet>
